## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseasabasesqlmodelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasabasesqlmodelPackageImpl

    public interface SybaseasabasesqlmodelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SybaseasabasesqlmodelFactory`

Nested Class Summary
`static interface` `SybaseasabasesqlmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ALLOW_NULL_TYPE` The meta object id for the '`Allow Null Type`' enum.
`static SybaseasabasesqlmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static int` `ENCRYPTION_INFO` The meta object id for the '`Encryption Info`' class.
`static int` `ENCRYPTION_INFO__ALGORITHM` The feature id for the 'Algorithm' attribute.
`static int` `ENCRYPTION_INFO__ENCRYPTED_TABLE` The feature id for the 'Encrypted Table' attribute.
`static int` `ENCRYPTION_INFO__ENCRYPTION_KEY` The feature id for the 'Encryption Key' attribute.
`static int` `ENCRYPTION_INFO_FEATURE_COUNT` The number of structural features of the 'Encryption Info' class.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EVENT_CONDITION` The meta object id for the '`Event Condition`' class.
`static int` `EVENT_CONDITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `EVENT_CONDITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `EVENT_CONDITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `EVENT_CONDITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `EVENT_CONDITION__EVENT` The feature id for the 'Event' container reference.
`static int` `EVENT_CONDITION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `EVENT_CONDITION__LABEL` The feature id for the 'Label' attribute.
`static int` `EVENT_CONDITION__NAME` The feature id for the 'Name' attribute.
`static int` `EVENT_CONDITION__OPERATOR` The feature id for the 'Operator' attribute.
`static int` `EVENT_CONDITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `EVENT_CONDITION__VALUE` The feature id for the 'Value' attribute.
`static int` `EVENT_CONDITION_FEATURE_COUNT` The number of structural features of the 'Event Condition' class.
`static int` `EVENT_LOCATION_TYPE` The meta object id for the '`Event Location Type`' enum.
`static int` `EVENT_TYPE` The meta object id for the '`Event Type`' enum.
`static int` `INTERVAL_UNIT_TYPE` The meta object id for the '`Interval Unit Type`' enum.
`static int` `JAVA_SUPPORT_TYPE` The meta object id for the '`Java Support Type`' enum.
`static int` `PARAMETER_TYPE` The meta object id for the '`Parameter Type`' enum.
`static int` `SCHEDULE` The meta object id for the '`Schedule`' class.
`static int` `SCHEDULE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SCHEDULE__DAYS_OF_MONTH` The feature id for the 'Days Of Month' attribute.
`static int` `SCHEDULE__DAYS_OF_WEEK` The feature id for the 'Days Of Week' attribute.
`static int` `SCHEDULE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SCHEDULE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SCHEDULE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SCHEDULE__EVENT` The feature id for the 'Event' container reference.
`static int` `SCHEDULE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SCHEDULE__INTERVAL_MOUNT` The feature id for the 'Interval Mount' attribute.
`static int` `SCHEDULE__INTERVAL_UNIT` The feature id for the 'Interval Unit' attribute.
`static int` `SCHEDULE__LABEL` The feature id for the 'Label' attribute.
`static int` `SCHEDULE__NAME` The feature id for the 'Name' attribute.
`static int` `SCHEDULE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SCHEDULE__RECURRING` The feature id for the 'Recurring' attribute.
`static int` `SCHEDULE__START_DATE` The feature id for the 'Start Date' attribute.
`static int` `SCHEDULE__START_TIME` The feature id for the 'Start Time' attribute.
`static int` `SCHEDULE__STOP_TIME` The feature id for the 'Stop Time' attribute.
`static int` `SCHEDULE_FEATURE_COUNT` The number of structural features of the 'Schedule' class.
`static int` `SYBASE_ASA_BASE_ACTION_TIME` The meta object id for the '`Sybase ASA Base Action Time`' enum.
`static int` `SYBASE_ASA_BASE_COLUMN` The meta object id for the '`Sybase ASA Base Column`' class.
`static int` `SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT` The feature id for the 'Column Constraint' reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `SYBASE_ASA_BASE_COLUMN__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__GENERATE_EXPRESSION` The feature id for the 'Generate Expression' containment reference.
`static int` `SYBASE_ASA_BASE_COLUMN__IDENTITY_SPECIFIER` The feature id for the 'Identity Specifier' containment reference.
`static int` `SYBASE_ASA_BASE_COLUMN__IMPLEMENTATION_DEPENDENT` The feature id for the 'Implementation Dependent' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN` The feature id for the 'Is Computed Column' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_COLUMN__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `SYBASE_ASA_BASE_COLUMN__SCOPE_CHECK` The feature id for the 'Scope Check' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__SCOPE_CHECKED` The feature id for the 'Scope Checked' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__TABLE` The feature id for the 'Table' container reference.
`static int` `SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT` The feature id for the 'Type Of Default' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT` The meta object id for the '`Sybase ASA Base Column Check Constraint`' class.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN` The feature id for the 'Column' reference.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION` The feature id for the 'Search Condition' containment reference.
`static int` `SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Column Check Constraint' class.
`static int` `SYBASE_ASA_BASE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Column' class.
`static int` `SYBASE_ASA_BASE_DATABASE` The meta object id for the '`Sybase ASA Base Database`' class.
`static int` `SYBASE_ASA_BASE_DATABASE__AUTHORIZATION_IDS` The feature id for the 'Authorization Ids' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON` The feature id for the 'Blank Padding On' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE` The feature id for the 'Case Sensitive' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__CATALOGS` The feature id for the 'Catalogs' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON` The feature id for the 'Check Sum On' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__COLLATION` The feature id for the 'Collation' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__DATA_TYPES` The feature id for the 'Data Types' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME` The feature id for the 'Database File Name' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__DB_SPACES` The feature id for the 'Db Spaces' containment reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO` The feature id for the 'Encryption Info' reference.
`static int` `SYBASE_ASA_BASE_DATABASE__EVENTS` The feature id for the 'Events' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT` The feature id for the 'Java Support' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__JCONNECT_ON` The feature id for the 'JConnect On' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME` The feature id for the 'Log File Name' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME` The feature id for the 'Mirror File Name' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__PAGE_SIZE` The feature id for the 'Page Size' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE` The feature id for the 'Password Case Sensitive' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__SCHEMAS` The feature id for the 'Schemas' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE__VENDOR` The feature id for the 'Vendor' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__VERSION` The feature id for the 'Version' attribute.
`static int` `SYBASE_ASA_BASE_DATABASE__WEB_SERVICES` The feature id for the 'Web Services' reference list.
`static int` `SYBASE_ASA_BASE_DATABASE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Database' class.
`static int` `SYBASE_ASA_BASE_DB_SPACE` The meta object id for the '`Sybase ASA Base DB Space`' class.
`static int` `SYBASE_ASA_BASE_DB_SPACE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_DB_SPACE__DATABASE` The feature id for the 'Database' container reference.
`static int` `SYBASE_ASA_BASE_DB_SPACE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_DB_SPACE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_DB_SPACE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_DB_SPACE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_DB_SPACE__FILE_NAME` The feature id for the 'File Name' attribute.
`static int` `SYBASE_ASA_BASE_DB_SPACE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_DB_SPACE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_DB_SPACE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_DB_SPACE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base DB Space' class.
`static int` `SYBASE_ASA_BASE_EVENT` The meta object id for the '`Sybase ASA Base Event`' class.
`static int` `SYBASE_ASA_BASE_EVENT__ACTION` The feature id for the 'Action' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_EVENT__CONDITION` The feature id for the 'Condition' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS` The feature id for the 'Condition Details' containment reference list.
`static int` `SYBASE_ASA_BASE_EVENT__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_BASE_EVENT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_EVENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_EVENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__EVENT_CREATOR` The feature id for the 'Event Creator' reference.
`static int` `SYBASE_ASA_BASE_EVENT__EVENT_TYPE` The feature id for the 'Event Type' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_EVENT__FOR` The feature id for the 'For' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__LOCATION` The feature id for the 'Location' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_EVENT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_EVENT__SCHEDULES` The feature id for the 'Schedules' containment reference list.
`static int` `SYBASE_ASA_BASE_EVENT_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Event' class.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY` The meta object id for the '`Sybase ASA Base Foreign Key`' class.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__MATCH` The feature id for the 'Match' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__ON_DELETE` The feature id for the 'On Delete' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__ON_UPDATE` The feature id for the 'On Update' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_MEMBERS` The feature id for the 'Referenced Members' reference list.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_TABLE` The feature id for the 'Referenced Table' reference.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME` The feature id for the 'Role Name' attribute.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_CONSTRAINT` The feature id for the 'Unique Constraint' reference.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_INDEX` The feature id for the 'Unique Index' reference.
`static int` `SYBASE_ASA_BASE_FOREIGN_KEY_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Foreign Key' class.
`static int` `SYBASE_ASA_BASE_FUNCTION` The meta object id for the '`Sybase ASA Base Function`' class.
`static int` `SYBASE_ASA_BASE_FUNCTION__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__MUTATOR` The feature id for the 'Mutator' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__NULL_CALL` The feature id for the 'Null Call' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME` The feature id for the 'On Exception Resume' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_FUNCTION__RETURN_CAST` The feature id for the 'Return Cast' containment reference.
`static int` `SYBASE_ASA_BASE_FUNCTION__RETURN_SCALAR` The feature id for the 'Return Scalar' containment reference.
`static int` `SYBASE_ASA_BASE_FUNCTION__RETURN_TABLE` The feature id for the 'Return Table' containment reference.
`static int` `SYBASE_ASA_BASE_FUNCTION__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_FUNCTION__SECURITY` The feature id for the 'Security' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__SOURCE` The feature id for the 'Source' containment reference.
`static int` `SYBASE_ASA_BASE_FUNCTION__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__STATIC` The feature id for the 'Static' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__TRANSFORM_GROUP` The feature id for the 'Transform Group' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION__TYPE_PRESERVING` The feature id for the 'Type Preserving' attribute.
`static int` `SYBASE_ASA_BASE_FUNCTION_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Function' class.
`static int` `SYBASE_ASA_BASE_GROUP` The meta object id for the '`Sybase ASA Base Group`' class.
`static int` `SYBASE_ASA_BASE_GROUP__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_BASE_GROUP__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_GROUP__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_GROUP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_GROUP__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_GROUP__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__GROUP` The feature id for the 'Group' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_GROUP__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_GROUP__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_ASA_BASE_GROUP__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_ASA_BASE_GROUP__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_ASA_BASE_GROUP__USER` The feature id for the 'User' reference list.
`static int` `SYBASE_ASA_BASE_GROUP_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Group' class.
`static int` `SYBASE_ASA_BASE_INDEX` The meta object id for the '`Sybase ASA Base Index`' class.
`static int` `SYBASE_ASA_BASE_INDEX__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_INDEX__DB_SPACE` The feature id for the 'Db Space' reference.
`static int` `SYBASE_ASA_BASE_INDEX__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_INDEX__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_INDEX__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_INDEX__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASA_BASE_INDEX__INCLUDED_MEMBERS` The feature id for the 'Included Members' containment reference list.
`static int` `SYBASE_ASA_BASE_INDEX__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` `SYBASE_ASA_BASE_INDEX__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_INDEX__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_INDEX__SYSTEM_GENERATED` The feature id for the 'System Generated' attribute.
`static int` `SYBASE_ASA_BASE_INDEX__TABLE` The feature id for the 'Table' reference.
`static int` `SYBASE_ASA_BASE_INDEX__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `SYBASE_ASA_BASE_INDEX_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Index' class.
`static int` `SYBASE_ASA_BASE_PARAMETER` The meta object id for the '`Sybase ASA Base Parameter`' class.
`static int` `SYBASE_ASA_BASE_PARAMETER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_PARAMETER__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `SYBASE_ASA_BASE_PARAMETER__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_PARAMETER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_PARAMETER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_PARAMETER__JDBC_PARAMETER_TYPE` The feature id for the 'JDBC Parameter Type' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__LOCATOR` The feature id for the 'Locator' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__MODE` The feature id for the 'Mode' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__PARM_TYPE` The feature id for the 'Parm Type' attribute.
`static int` `SYBASE_ASA_BASE_PARAMETER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_PARAMETER__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `SYBASE_ASA_BASE_PARAMETER__ROUTINE` The feature id for the 'Routine' container reference.
`static int` `SYBASE_ASA_BASE_PARAMETER__STRING_TYPE_OPTION` The feature id for the 'String Type Option' containment reference.
`static int` `SYBASE_ASA_BASE_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Parameter' class.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE` The meta object id for the '`Sybase ASA Base Predefined Data Type`' class.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Predefined Data Type' class.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY` The meta object id for the '`Sybase ASA Base Primary Key`' class.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY__SYSTEM_GEN_INDEX` The feature id for the 'System Gen Index' reference.
`static int` `SYBASE_ASA_BASE_PRIMARY_KEY_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Primary Key' class.
`static int` `SYBASE_ASA_BASE_PROCEDURE` The meta object id for the '`Sybase ASA Base Procedure`' class.
`static int` `SYBASE_ASA_BASE_PROCEDURE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__MAX_RESULT_SETS` The feature id for the 'Max Result Sets' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__OLD_SAVE_POINT` The feature id for the 'Old Save Point' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME` The feature id for the 'On Exception Resume' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__RESULT_SET` The feature id for the 'Result Set' containment reference list.
`static int` `SYBASE_ASA_BASE_PROCEDURE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_PROCEDURE__SECURITY` The feature id for the 'Security' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `SYBASE_ASA_BASE_PROCEDURE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `SYBASE_ASA_BASE_PROCEDURE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Procedure' class.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE` The meta object id for the '`Sybase ASA Base Proxy Table`' class.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__DB_SPACE` The feature id for the 'Db Space' reference.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__EXISTING` The feature id for the 'Existing' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION` The feature id for the 'Remote Object Location' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_BASE_PROXY_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Proxy Table' class.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE` The meta object id for the '`Sybase ASA Base Remote Procedure`' class.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION` The feature id for the 'Location' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__MAX_RESULT_SETS` The feature id for the 'Max Result Sets' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__OLD_SAVE_POINT` The feature id for the 'Old Save Point' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__ON_EXCEPTION_RESUME` The feature id for the 'On Exception Resume' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__RESULT_SET` The feature id for the 'Result Set' containment reference list.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__SECURITY` The feature id for the 'Security' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `SYBASE_ASA_BASE_REMOTE_PROCEDURE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Remote Procedure' class.
`static int` `SYBASE_ASA_BASE_SCHEMA` The meta object id for the '`Sybase ASA Base Schema`' class.
`static int` `SYBASE_ASA_BASE_SCHEMA__ASSERTIONS` The feature id for the 'Assertions' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__CATALOG` The feature id for the 'Catalog' reference.
`static int` `SYBASE_ASA_BASE_SCHEMA__CHAR_SETS` The feature id for the 'Char Sets' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_BASE_SCHEMA__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_SCHEMA__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__INDICES` The feature id for the 'Indices' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_SCHEMA__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_SCHEMA__OWNER` The feature id for the 'Owner' reference.
`static int` `SYBASE_ASA_BASE_SCHEMA__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__ROUTINES` The feature id for the 'Routines' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__SEQUENCES` The feature id for the 'Sequences' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__TABLES` The feature id for the 'Tables' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA__USER_DEFINED_TYPES` The feature id for the 'User Defined Types' reference list.
`static int` `SYBASE_ASA_BASE_SCHEMA_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Schema' class.
`static int` `SYBASE_ASA_BASE_TABLE` The meta object id for the '`Sybase ASA Base Table`' class.
`static int` `SYBASE_ASA_BASE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_BASE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASA_BASE_TABLE__DB_SPACE` The feature id for the 'Db Space' reference.
`static int` `SYBASE_ASA_BASE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_BASE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_BASE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_BASE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_BASE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_BASE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_BASE_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Table' class.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE` The meta object id for the '`Sybase ASA Base Temp Table`' class.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__DELETE_ON_COMMIT` The feature id for the 'Delete On Commit' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__LOCAL` The feature id for the 'Local' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION` The feature id for the 'Transaction Option' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_BASE_TEMP_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Temp Table' class.
`static int` `SYBASE_ASA_BASE_TRIGGER` The meta object id for the '`Sybase ASA Base Trigger`' class.
`static int` `SYBASE_ASA_BASE_TRIGGER__ACTION_GRANULARITY` The feature id for the 'Action Granularity' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__ACTION_STATEMENT` The feature id for the 'Action Statement' containment reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__ACTION_TIME` The feature id for the 'Action Time' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__DELETE_TYPE` The feature id for the 'Delete Type' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__INSERT_TYPE` The feature id for the 'Insert Type' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__NEW_ROW` The feature id for the 'New Row' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__NEW_TABLE` The feature id for the 'New Table' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__OLD_ROW` The feature id for the 'Old Row' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__OLD_TABLE` The feature id for the 'Old Table' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__ORDER` The feature id for the 'Order' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME` The feature id for the 'Remote Name' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_TRIGGER__SUBJECT_TABLE` The feature id for the 'Subject Table' reference.
`static int` `SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME` The feature id for the 'Sybase ASA Base Action Time' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__TIME_STAMP` The feature id for the 'Time Stamp' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__TRIGGER_COLUMN` The feature id for the 'Trigger Column' reference list.
`static int` `SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE` The feature id for the 'Update Column Type' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__UPDATE_TYPE` The feature id for the 'Update Type' attribute.
`static int` `SYBASE_ASA_BASE_TRIGGER__WHEN` The feature id for the 'When' containment reference.
`static int` `SYBASE_ASA_BASE_TRIGGER_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Trigger' class.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT` The meta object id for the '`Sybase ASA Base Unique Constraint`' class.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX` The feature id for the 'System Gen Index' reference.
`static int` `SYBASE_ASA_BASE_UNIQUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base Unique Constraint' class.
`static int` `SYBASE_ASA_BASE_USER` The meta object id for the '`Sybase ASA Base User`' class.
`static int` `SYBASE_ASA_BASE_USER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_USER__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_BASE_USER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_USER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_USER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_USER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_USER__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_ASA_BASE_USER__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_ASA_BASE_USER__GROUP` The feature id for the 'Group' reference list.
`static int` `SYBASE_ASA_BASE_USER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_USER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_USER__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_ASA_BASE_USER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_USER__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_ASA_BASE_USER__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_ASA_BASE_USER__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE` The meta object id for the '`Sybase ASA Base User Defined Type`' class.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__CONSTRAINT` The feature id for the 'Constraint' containment reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE` The feature id for the 'Default Type' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION` The feature id for the 'Predefined Representation' containment reference.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_USER_DEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base User Defined Type' class.
`static int` `SYBASE_ASA_BASE_USER_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base User' class.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE` The meta object id for the '`Sybase ASA Base View Table`' class.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__CHECK_TYPE` The feature id for the 'Check Type' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT` The feature id for the 'Statement' reference.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION` The feature id for the 'With Check Option' attribute.
`static int` `SYBASE_ASA_BASE_VIEW_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Base View Table' class.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER` The meta object id for the '`Sybase ASA Default Wrapper`' class.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL` The feature id for the 'Is Literal' attribute.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE` The feature id for the 'Partition Size' attribute.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER__TYPE` The feature id for the 'Type' attribute.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER__VALUE` The feature id for the 'Value' attribute.
`static int` `SYBASE_ASA_DEFAULT_WRAPPER_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Default Wrapper' class.
`static int` `SYBASE_ASA_WEB_SERVICE` The meta object id for the '`Sybase ASA Web Service`' class.
`static int` `SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED` The feature id for the 'Auth required' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_WEB_SERVICE__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASA_WEB_SERVICE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_WEB_SERVICE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_WEB_SERVICE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_WEB_SERVICE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__PARAMETER` The feature id for the 'Parameter' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED` The feature id for the 'Secure required' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__SERVICE_ID` The feature id for the 'Service id' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE` The feature id for the 'Service type' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__STATEMENT` The feature id for the 'Statement' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__URL_PATH` The feature id for the 'Url path' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE__USER_NAME` The feature id for the 'User name' attribute.
`static int` `SYBASE_ASA_WEB_SERVICE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Web Service' class.
`static int` `SYSTEM_DEFINED_DEFAULT_TYPE` The meta object id for the '`System Defined Default Type`' enum.
`static int` `TRANSACTION_OPTION` The meta object id for the '`Transaction Option`' enum.
`static int` `TYPE_OF_DEFAULT` The meta object id for the '`Type Of Default`' enum.

Method Summary
`org.eclipse.emf.ecore.EEnum` `getAllowNullType()` Returns the meta object for enum '`Allow Null Type`'.
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_Algorithm()` Returns the meta object for the attribute '`Algorithm`'.
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_EncryptedTable()` Returns the meta object for the attribute '`Encrypted Table`'.
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_EncryptionKey()` Returns the meta object for the attribute '`Encryption Key`'.
`org.eclipse.emf.ecore.EClass` `getEncryptionInfo()` Returns the meta object for class '`Encryption Info`'.
`org.eclipse.emf.ecore.EReference` `getEventCondition_Event()` Returns the meta object for the container reference '`Event`'.
`org.eclipse.emf.ecore.EAttribute` `getEventCondition_Operator()` Returns the meta object for the attribute '`Operator`'.
`org.eclipse.emf.ecore.EAttribute` `getEventCondition_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getEventCondition()` Returns the meta object for class '`Event Condition`'.
`org.eclipse.emf.ecore.EEnum` `getEventLocationType()` Returns the meta object for enum '`Event Location Type`'.
`org.eclipse.emf.ecore.EEnum` `getEventType()` Returns the meta object for enum '`Event Type`'.
`org.eclipse.emf.ecore.EEnum` `getIntervalUnitType()` Returns the meta object for enum '`Interval Unit Type`'.
`org.eclipse.emf.ecore.EEnum` `getJavaSupportType()` Returns the meta object for enum '`Java Support Type`'.
`org.eclipse.emf.ecore.EEnum` `getParameterType()` Returns the meta object for enum '`Parameter Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_DaysOfMonth()` Returns the meta object for the attribute '`Days Of Month`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_DaysOfWeek()` Returns the meta object for the attribute '`Days Of Week`'.
`org.eclipse.emf.ecore.EReference` `getSchedule_Event()` Returns the meta object for the container reference '`Event`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_IntervalMount()` Returns the meta object for the attribute '`Interval Mount`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_IntervalUnit()` Returns the meta object for the attribute '`Interval Unit`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_Recurring()` Returns the meta object for the attribute '`Recurring`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StartDate()` Returns the meta object for the attribute '`Start Date`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StartTime()` Returns the meta object for the attribute '`Start Time`'.
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StopTime()` Returns the meta object for the attribute '`Stop Time`'.
`org.eclipse.emf.ecore.EClass` `getSchedule()` Returns the meta object for class '`Schedule`'.
`org.eclipse.emf.ecore.EEnum` `getSybaseASABaseActionTime()` Returns the meta object for enum '`Sybase ASA Base Action Time`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseColumn_ColumnConstraint()` Returns the meta object for the reference list '`Column Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_IsComputedColumn()` Returns the meta object for the attribute '`Is Computed Column`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_TypeOfDefault()` Returns the meta object for the attribute '`Type Of Default`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_Unique()` Returns the meta object for the attribute '`Unique`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseColumn()` Returns the meta object for class '`Sybase ASA Base Column`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseColumnCheckConstraint_Column()` Returns the meta object for the reference '`Column`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseColumnCheckConstraint()` Returns the meta object for class '`Sybase ASA Base Column Check Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_BlankPaddingOn()` Returns the meta object for the attribute '`Blank Padding On`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_CaseSensitive()` Returns the meta object for the attribute '`Case Sensitive`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_CheckSumOn()` Returns the meta object for the attribute '`Check Sum On`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_Collation()` Returns the meta object for the attribute '`Collation`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_DatabaseFileName()` Returns the meta object for the attribute '`Database File Name`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_DataTypes()` Returns the meta object for the reference list '`Data Types`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_DbSpaces()` Returns the meta object for the containment reference list '`Db Spaces`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_EncryptionInfo()` Returns the meta object for the reference '`Encryption Info`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_JavaSupport()` Returns the meta object for the attribute '`Java Support`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_JConnectOn()` Returns the meta object for the attribute '`JConnect On`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_LogFileName()` Returns the meta object for the attribute '`Log File Name`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_MirrorFileName()` Returns the meta object for the attribute '`Mirror File Name`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_PageSize()` Returns the meta object for the attribute '`Page Size`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_PasswordCaseSensitive()` Returns the meta object for the attribute '`Password Case Sensitive`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_WebServices()` Returns the meta object for the reference list '`Web Services`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseDatabase()` Returns the meta object for class '`Sybase ASA Base Database`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDBSpace_Database()` Returns the meta object for the container reference '`Database`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDBSpace_FileName()` Returns the meta object for the attribute '`File Name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseDBSpace()` Returns the meta object for class '`Sybase ASA Base DB Space`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_ConditionDetails()` Returns the meta object for the containment reference list '`Condition Details`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_EventCreator()` Returns the meta object for the reference '`Event Creator`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseEvent_EventType()` Returns the meta object for the attribute '`Event Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseEvent_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_Schedules()` Returns the meta object for the containment reference list '`Schedules`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseEvent()` Returns the meta object for class '`Sybase ASA Base Event`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseForeignKey_Clustered()` Returns the meta object for the attribute '`Clustered`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseForeignKey_RoleName()` Returns the meta object for the attribute '`Role Name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseForeignKey()` Returns the meta object for class '`Sybase ASA Base Foreign Key`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseFunction_OnExceptionResume()` Returns the meta object for the attribute '`On Exception Resume`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseFunction()` Returns the meta object for class '`Sybase ASA Base Function`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseGroup()` Returns the meta object for class '`Sybase ASA Base Group`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseIndex_DbSpace()` Returns the meta object for the reference '`Db Space`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseIndex()` Returns the meta object for class '`Sybase ASA Base Index`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseParameter_ParmType()` Returns the meta object for the attribute '`Parm Type`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseParameter()` Returns the meta object for class '`Sybase ASA Base Parameter`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABasePredefinedDataType_Database()` Returns the meta object for the reference '`Database`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABasePredefinedDataType()` Returns the meta object for class '`Sybase ASA Base Predefined Data Type`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABasePrimaryKey()` Returns the meta object for class '`Sybase ASA Base Primary Key`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProcedure_OnExceptionResume()` Returns the meta object for the attribute '`On Exception Resume`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseProcedure()` Returns the meta object for class '`Sybase ASA Base Procedure`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProxyTable_Existing()` Returns the meta object for the attribute '`Existing`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProxyTable_RemoteObjectLocation()` Returns the meta object for the attribute '`Remote Object Location`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseProxyTable()` Returns the meta object for class '`Sybase ASA Base Proxy Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseRemoteProcedure_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseRemoteProcedure()` Returns the meta object for class '`Sybase ASA Base Remote Procedure`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseSchema()` Returns the meta object for class '`Sybase ASA Base Schema`'.
`SybaseasabasesqlmodelFactory` `getSybaseasabasesqlmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseTable_DbSpace()` Returns the meta object for the reference '`Db Space`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTable()` Returns the meta object for class '`Sybase ASA Base Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTempTable_TransactionOption()` Returns the meta object for the attribute '`Transaction Option`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTempTable()` Returns the meta object for class '`Sybase ASA Base Temp Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_Order()` Returns the meta object for the attribute '`Order`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_RemoteName()` Returns the meta object for the attribute '`Remote Name`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_SybaseASABaseActionTime()` Returns the meta object for the attribute '`Sybase ASA Base Action Time`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_UpdateColumnType()` Returns the meta object for the attribute '`Update Column Type`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTrigger()` Returns the meta object for class '`Sybase ASA Base Trigger`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUniqueConstraint_Clustered()` Returns the meta object for the attribute '`Clustered`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseUniqueConstraint_SystemGenIndex()` Returns the meta object for the reference '`System Gen Index`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUniqueConstraint()` Returns the meta object for class '`Sybase ASA Base Unique Constraint`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUser()` Returns the meta object for class '`Sybase ASA Base User`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUserDefinedType_DefaultType()` Returns the meta object for the attribute '`Default Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUserDefinedType_Nullable()` Returns the meta object for the attribute '`Nullable`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUserDefinedType()` Returns the meta object for class '`Sybase ASA Base User Defined Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseViewTable_Statement()` Returns the meta object for the reference '`Statement`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseViewTable_WithCheckOption()` Returns the meta object for the attribute '`With Check Option`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseViewTable()` Returns the meta object for class '`Sybase ASA Base View Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_IsLiteral()` Returns the meta object for the attribute '`Is Literal`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_PartitionSize()` Returns the meta object for the attribute '`Partition Size`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_Type()` Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASADefaultWrapper()` Returns the meta object for class '`Sybase ASA Default Wrapper`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Auth_required()` Returns the meta object for the attribute '`Auth required`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASAWebService_Database()` Returns the meta object for the reference '`Database`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Parameter()` Returns the meta object for the attribute '`Parameter`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Secure_required()` Returns the meta object for the attribute '`Secure required`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Service_id()` Returns the meta object for the attribute '`Service id`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Service_type()` Returns the meta object for the attribute '`Service type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Statement()` Returns the meta object for the attribute '`Statement`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Url_path()` Returns the meta object for the attribute '`Url path`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_User_name()` Returns the meta object for the attribute '`User name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASAWebService()` Returns the meta object for class '`Sybase ASA Web Service`'.
`org.eclipse.emf.ecore.EEnum` `getSystemDefinedDefaultType()` Returns the meta object for enum '`System Defined Default Type`'.
`org.eclipse.emf.ecore.EEnum` `getTransactionOption()` Returns the meta object for enum '`Transaction Option`'.
`org.eclipse.emf.ecore.EEnum` `getTypeOfDefault()` Returns the meta object for enum '`Type Of Default`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SybaseasabasesqlmodelPackage eINSTANCE

  The singleton instance of the package.

### SYBASE_ASA_BASE_EVENT

    static final int SYBASE_ASA_BASE_EVENT

  The meta object id for the '`Sybase ASA Base Event`' class.

  See Also:
    `SybaseASABaseEventImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseEvent()`, Constant Field Values

### SYBASE_ASA_BASE_EVENT__EANNOTATIONS

    static final int SYBASE_ASA_BASE_EVENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__NAME

    static final int SYBASE_ASA_BASE_EVENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__DEPENDENCIES

    static final int SYBASE_ASA_BASE_EVENT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__DESCRIPTION

    static final int SYBASE_ASA_BASE_EVENT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__LABEL

    static final int SYBASE_ASA_BASE_EVENT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__COMMENTS

    static final int SYBASE_ASA_BASE_EVENT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__EXTENSIONS

    static final int SYBASE_ASA_BASE_EVENT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__PRIVILEGES

    static final int SYBASE_ASA_BASE_EVENT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__FOR

    static final int SYBASE_ASA_BASE_EVENT__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__CONDITION

    static final int SYBASE_ASA_BASE_EVENT__CONDITION

  The feature id for the 'Condition' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__ACTION

    static final int SYBASE_ASA_BASE_EVENT__ACTION

  The feature id for the 'Action' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__ENABLED

    static final int SYBASE_ASA_BASE_EVENT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__DATABASE

    static final int SYBASE_ASA_BASE_EVENT__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__EVENT_TYPE

    static final int SYBASE_ASA_BASE_EVENT__EVENT_TYPE

  The feature id for the 'Event Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__EVENT_CREATOR

    static final int SYBASE_ASA_BASE_EVENT__EVENT_CREATOR

  The feature id for the 'Event Creator' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__LOCATION

    static final int SYBASE_ASA_BASE_EVENT__LOCATION

  The feature id for the 'Location' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__SCHEDULES

    static final int SYBASE_ASA_BASE_EVENT__SCHEDULES

  The feature id for the 'Schedules' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS

    static final int SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS

  The feature id for the 'Condition Details' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_EVENT_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_EVENT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Event' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE

    static final int SYBASE_ASA_BASE_DATABASE

  The meta object id for the '`Sybase ASA Base Database`' class.

  See Also:
    `SybaseASABaseDatabaseImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseDatabase()`, Constant Field Values

### SYBASE_ASA_BASE_DATABASE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_DATABASE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__NAME

    static final int SYBASE_ASA_BASE_DATABASE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_DATABASE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__DESCRIPTION

    static final int SYBASE_ASA_BASE_DATABASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__LABEL

    static final int SYBASE_ASA_BASE_DATABASE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__COMMENTS

    static final int SYBASE_ASA_BASE_DATABASE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__EXTENSIONS

    static final int SYBASE_ASA_BASE_DATABASE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__PRIVILEGES

    static final int SYBASE_ASA_BASE_DATABASE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__VENDOR

    static final int SYBASE_ASA_BASE_DATABASE__VENDOR

  The feature id for the 'Vendor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__VERSION

    static final int SYBASE_ASA_BASE_DATABASE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__SCHEMAS

    static final int SYBASE_ASA_BASE_DATABASE__SCHEMAS

  The feature id for the 'Schemas' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__EVENTS

    static final int SYBASE_ASA_BASE_DATABASE__EVENTS

  The feature id for the 'Events' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__CATALOGS

    static final int SYBASE_ASA_BASE_DATABASE__CATALOGS

  The feature id for the 'Catalogs' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__AUTHORIZATION_IDS

    static final int SYBASE_ASA_BASE_DATABASE__AUTHORIZATION_IDS

  The feature id for the 'Authorization Ids' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__DATA_TYPES

    static final int SYBASE_ASA_BASE_DATABASE__DATA_TYPES

  The feature id for the 'Data Types' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__WEB_SERVICES

    static final int SYBASE_ASA_BASE_DATABASE__WEB_SERVICES

  The feature id for the 'Web Services' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__DB_SPACES

    static final int SYBASE_ASA_BASE_DATABASE__DB_SPACES

  The feature id for the 'Db Spaces' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME

    static final int SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME

  The feature id for the 'Database File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME

    static final int SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME

  The feature id for the 'Log File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME

    static final int SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME

  The feature id for the 'Mirror File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE

    static final int SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE

  The feature id for the 'Case Sensitive' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__COLLATION

    static final int SYBASE_ASA_BASE_DATABASE__COLLATION

  The feature id for the 'Collation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON

    static final int SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON

  The feature id for the 'Blank Padding On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON

    static final int SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON

  The feature id for the 'Check Sum On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__JCONNECT_ON

    static final int SYBASE_ASA_BASE_DATABASE__JCONNECT_ON

  The feature id for the 'JConnect On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__PAGE_SIZE

    static final int SYBASE_ASA_BASE_DATABASE__PAGE_SIZE

  The feature id for the 'Page Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO

    static final int SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO

  The feature id for the 'Encryption Info' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT

    static final int SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT

  The feature id for the 'Java Support' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE

    static final int SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE

  The feature id for the 'Password Case Sensitive' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DATABASE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_DATABASE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Database' class.

  See Also:
    Constant Field Values

### ENCRYPTION_INFO

    static final int ENCRYPTION_INFO

  The meta object id for the '`Encryption Info`' class.

  See Also:
    `EncryptionInfoImpl`, `SybaseasabasesqlmodelPackageImpl.getEncryptionInfo()`, Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE

  The meta object id for the '`Sybase ASA Base User Defined Type`' class.

  See Also:
    `SybaseASABaseUserDefinedTypeImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUserDefinedType()`, Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE

  The meta object id for the '`Sybase ASA Base Predefined Data Type`' class.

  See Also:
    `SybaseASABasePredefinedDataTypeImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABasePredefinedDataType()`, Constant Field Values

### SYBASE_ASA_BASE_TABLE

    static final int SYBASE_ASA_BASE_TABLE

  The meta object id for the '`Sybase ASA Base Table`' class.

  See Also:
    `SybaseASABaseTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTable()`, Constant Field Values

### SYBASE_ASA_BASE_COLUMN

    static final int SYBASE_ASA_BASE_COLUMN

  The meta object id for the '`Sybase ASA Base Column`' class.

  See Also:
    `SybaseASABaseColumnImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseColumn()`, Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT

  The meta object id for the '`Sybase ASA Base Unique Constraint`' class.

  See Also:
    `SybaseASABaseUniqueConstraintImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUniqueConstraint()`, Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY

    static final int SYBASE_ASA_BASE_PRIMARY_KEY

  The meta object id for the '`Sybase ASA Base Primary Key`' class.

  See Also:
    `SybaseASABasePrimaryKeyImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABasePrimaryKey()`, Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY

    static final int SYBASE_ASA_BASE_FOREIGN_KEY

  The meta object id for the '`Sybase ASA Base Foreign Key`' class.

  See Also:
    `SybaseASABaseForeignKeyImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseForeignKey()`, Constant Field Values

### SYBASE_ASA_BASE_INDEX

    static final int SYBASE_ASA_BASE_INDEX

  The meta object id for the '`Sybase ASA Base Index`' class.

  See Also:
    `SybaseASABaseIndexImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseIndex()`, Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE

    static final int SYBASE_ASA_BASE_DB_SPACE

  The meta object id for the '`Sybase ASA Base DB Space`' class.

  See Also:
    `SybaseASABaseDBSpaceImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseDBSpace()`, Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE

    static final int SYBASE_ASA_BASE_VIEW_TABLE

  The meta object id for the '`Sybase ASA Base View Table`' class.

  See Also:
    `SybaseASABaseViewTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseViewTable()`, Constant Field Values

### SYBASE_ASA_BASE_FUNCTION

    static final int SYBASE_ASA_BASE_FUNCTION

  The meta object id for the '`Sybase ASA Base Function`' class.

  See Also:
    `SybaseASABaseFunctionImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseFunction()`, Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE

    static final int SYBASE_ASA_BASE_PROCEDURE

  The meta object id for the '`Sybase ASA Base Procedure`' class.

  See Also:
    `SybaseASABaseProcedureImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseProcedure()`, Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE

    static final int SYBASE_ASA_BASE_TEMP_TABLE

  The meta object id for the '`Sybase ASA Base Temp Table`' class.

  See Also:
    `SybaseASABaseTempTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTempTable()`, Constant Field Values

### SYBASE_ASA_BASE_TRIGGER

    static final int SYBASE_ASA_BASE_TRIGGER

  The meta object id for the '`Sybase ASA Base Trigger`' class.

  See Also:
    `SybaseASABaseTriggerImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseTrigger()`, Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE

    static final int SYBASE_ASA_BASE_PROXY_TABLE

  The meta object id for the '`Sybase ASA Base Proxy Table`' class.

  See Also:
    `SybaseASABaseProxyTableImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseProxyTable()`, Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT

  The meta object id for the '`Sybase ASA Base Column Check Constraint`' class.

  See Also:
    `SybaseASABaseColumnCheckConstraintImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseColumnCheckConstraint()`, Constant Field Values

### SYBASE_ASA_WEB_SERVICE

    static final int SYBASE_ASA_WEB_SERVICE

  The meta object id for the '`Sybase ASA Web Service`' class.

  See Also:
    `SybaseASAWebServiceImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASAWebService()`, Constant Field Values

### SYBASE_ASA_WEB_SERVICE__EANNOTATIONS

    static final int SYBASE_ASA_WEB_SERVICE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__NAME

    static final int SYBASE_ASA_WEB_SERVICE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__DEPENDENCIES

    static final int SYBASE_ASA_WEB_SERVICE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__DESCRIPTION

    static final int SYBASE_ASA_WEB_SERVICE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__LABEL

    static final int SYBASE_ASA_WEB_SERVICE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__COMMENTS

    static final int SYBASE_ASA_WEB_SERVICE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__EXTENSIONS

    static final int SYBASE_ASA_WEB_SERVICE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__PRIVILEGES

    static final int SYBASE_ASA_WEB_SERVICE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__SERVICE_ID

    static final int SYBASE_ASA_WEB_SERVICE__SERVICE_ID

  The feature id for the 'Service id' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE

    static final int SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE

  The feature id for the 'Service type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED

    static final int SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED

  The feature id for the 'Auth required' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED

    static final int SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED

  The feature id for the 'Secure required' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__URL_PATH

    static final int SYBASE_ASA_WEB_SERVICE__URL_PATH

  The feature id for the 'Url path' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__USER_NAME

    static final int SYBASE_ASA_WEB_SERVICE__USER_NAME

  The feature id for the 'User name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__PARAMETER

    static final int SYBASE_ASA_WEB_SERVICE__PARAMETER

  The feature id for the 'Parameter' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__STATEMENT

    static final int SYBASE_ASA_WEB_SERVICE__STATEMENT

  The feature id for the 'Statement' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE__DATABASE

    static final int SYBASE_ASA_WEB_SERVICE__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_WEB_SERVICE_FEATURE_COUNT

    static final int SYBASE_ASA_WEB_SERVICE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Web Service' class.

  See Also:
    Constant Field Values

### ENCRYPTION_INFO__ENCRYPTED_TABLE

    static final int ENCRYPTION_INFO__ENCRYPTED_TABLE

  The feature id for the 'Encrypted Table' attribute.

  See Also:
    Constant Field Values

### ENCRYPTION_INFO__ENCRYPTION_KEY

    static final int ENCRYPTION_INFO__ENCRYPTION_KEY

  The feature id for the 'Encryption Key' attribute.

  See Also:
    Constant Field Values

### ENCRYPTION_INFO__ALGORITHM

    static final int ENCRYPTION_INFO__ALGORITHM

  The feature id for the 'Algorithm' attribute.

  See Also:
    Constant Field Values

### ENCRYPTION_INFO_FEATURE_COUNT

    static final int ENCRYPTION_INFO_FEATURE_COUNT

  The number of structural features of the 'Encryption Info' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__NAME

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__DESCRIPTION

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__LABEL

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__COMMENTS

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__EXTENSIONS

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__PRIVILEGES

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__SCHEMA

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__ORDERING

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__ORDERING

  The feature id for the 'Ordering' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

  The feature id for the 'Predefined Representation' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__CONSTRAINT

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__CONSTRAINT

  The feature id for the 'Constraint' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_VALUE

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE

  The feature id for the 'Default Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_DEFINED_TYPE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_USER_DEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base User Defined Type' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__NAME

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DESCRIPTION

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__LABEL

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__COMMENTS

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EXTENSIONS

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIVILEGES

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Predefined Data Type' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__NAME

    static final int SYBASE_ASA_BASE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__DESCRIPTION

    static final int SYBASE_ASA_BASE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__LABEL

    static final int SYBASE_ASA_BASE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__COMMENTS

    static final int SYBASE_ASA_BASE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__EXTENSIONS

    static final int SYBASE_ASA_BASE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__PRIVILEGES

    static final int SYBASE_ASA_BASE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__COLUMNS

    static final int SYBASE_ASA_BASE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__SUPERTABLE

    static final int SYBASE_ASA_BASE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__SUBTABLES

    static final int SYBASE_ASA_BASE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__SCHEMA

    static final int SYBASE_ASA_BASE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__UDT

    static final int SYBASE_ASA_BASE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__TRIGGERS

    static final int SYBASE_ASA_BASE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__INDEX

    static final int SYBASE_ASA_BASE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_BASE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__INSERTABLE

    static final int SYBASE_ASA_BASE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__UPDATABLE

    static final int SYBASE_ASA_BASE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__CONSTRAINTS

    static final int SYBASE_ASA_BASE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASA_BASE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE__DB_SPACE

    static final int SYBASE_ASA_BASE_TABLE__DB_SPACE

  The feature id for the 'Db Space' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__EANNOTATIONS

    static final int SYBASE_ASA_BASE_COLUMN__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__NAME

    static final int SYBASE_ASA_BASE_COLUMN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__DEPENDENCIES

    static final int SYBASE_ASA_BASE_COLUMN__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__DESCRIPTION

    static final int SYBASE_ASA_BASE_COLUMN__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__LABEL

    static final int SYBASE_ASA_BASE_COLUMN__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__COMMENTS

    static final int SYBASE_ASA_BASE_COLUMN__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__EXTENSIONS

    static final int SYBASE_ASA_BASE_COLUMN__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__PRIVILEGES

    static final int SYBASE_ASA_BASE_COLUMN__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__CONTAINED_TYPE

    static final int SYBASE_ASA_BASE_COLUMN__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__REFERENCED_TYPE

    static final int SYBASE_ASA_BASE_COLUMN__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__TABLE

    static final int SYBASE_ASA_BASE_COLUMN__TABLE

  The feature id for the 'Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__IDENTITY_SPECIFIER

    static final int SYBASE_ASA_BASE_COLUMN__IDENTITY_SPECIFIER

  The feature id for the 'Identity Specifier' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__GENERATE_EXPRESSION

    static final int SYBASE_ASA_BASE_COLUMN__GENERATE_EXPRESSION

  The feature id for the 'Generate Expression' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__IMPLEMENTATION_DEPENDENT

    static final int SYBASE_ASA_BASE_COLUMN__IMPLEMENTATION_DEPENDENT

  The feature id for the 'Implementation Dependent' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__NULLABLE

    static final int SYBASE_ASA_BASE_COLUMN__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__DEFAULT_VALUE

    static final int SYBASE_ASA_BASE_COLUMN__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__SCOPE_CHECK

    static final int SYBASE_ASA_BASE_COLUMN__SCOPE_CHECK

  The feature id for the 'Scope Check' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__SCOPE_CHECKED

    static final int SYBASE_ASA_BASE_COLUMN__SCOPE_CHECKED

  The feature id for the 'Scope Checked' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT

    static final int SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT

  The feature id for the 'Column Constraint' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT

    static final int SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT

  The feature id for the 'Type Of Default' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__UNIQUE

    static final int SYBASE_ASA_BASE_COLUMN__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN

    static final int SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN

  The feature id for the 'Is Computed Column' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_COLUMN_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Column' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EANNOTATIONS

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__NAME

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEPENDENCIES

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DESCRIPTION

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__LABEL

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__COMMENTS

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EXTENSIONS

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__PRIVILEGES

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEFERRABLE

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__ENFORCED

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__BASE_TABLE

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__MEMBERS

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__FOREIGN_KEY

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX

  The feature id for the 'System Gen Index' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_UNIQUE_CONSTRAINT_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_UNIQUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Unique Constraint' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__EANNOTATIONS

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__NAME

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__DEPENDENCIES

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__DESCRIPTION

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__LABEL

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__COMMENTS

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__EXTENSIONS

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__PRIVILEGES

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__DEFERRABLE

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__INITIALLY_DEFERRED

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__ENFORCED

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__BASE_TABLE

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__MEMBERS

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__FOREIGN_KEY

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__CLUSTERED

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY__SYSTEM_GEN_INDEX

    static final int SYBASE_ASA_BASE_PRIMARY_KEY__SYSTEM_GEN_INDEX

  The feature id for the 'System Gen Index' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PRIMARY_KEY_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_PRIMARY_KEY_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Primary Key' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__EANNOTATIONS

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__NAME

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__DEPENDENCIES

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__DESCRIPTION

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__LABEL

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__COMMENTS

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__EXTENSIONS

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__PRIVILEGES

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__DEFERRABLE

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__INITIALLY_DEFERRED

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__ENFORCED

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__BASE_TABLE

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__MEMBERS

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__MATCH

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__MATCH

  The feature id for the 'Match' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__ON_UPDATE

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__ON_UPDATE

  The feature id for the 'On Update' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__ON_DELETE

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__ON_DELETE

  The feature id for the 'On Delete' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_CONSTRAINT

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_CONSTRAINT

  The feature id for the 'Unique Constraint' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_MEMBERS

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_MEMBERS

  The feature id for the 'Referenced Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_INDEX

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_INDEX

  The feature id for the 'Unique Index' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_TABLE

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_TABLE

  The feature id for the 'Referenced Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME

  The feature id for the 'Role Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED

    static final int SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FOREIGN_KEY_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_FOREIGN_KEY_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Foreign Key' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__EANNOTATIONS

    static final int SYBASE_ASA_BASE_INDEX__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__NAME

    static final int SYBASE_ASA_BASE_INDEX__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__DEPENDENCIES

    static final int SYBASE_ASA_BASE_INDEX__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__DESCRIPTION

    static final int SYBASE_ASA_BASE_INDEX__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__LABEL

    static final int SYBASE_ASA_BASE_INDEX__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__COMMENTS

    static final int SYBASE_ASA_BASE_INDEX__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__EXTENSIONS

    static final int SYBASE_ASA_BASE_INDEX__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__PRIVILEGES

    static final int SYBASE_ASA_BASE_INDEX__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__SCHEMA

    static final int SYBASE_ASA_BASE_INDEX__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__CLUSTERED

    static final int SYBASE_ASA_BASE_INDEX__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__FILL_FACTOR

    static final int SYBASE_ASA_BASE_INDEX__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__UNIQUE

    static final int SYBASE_ASA_BASE_INDEX__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__SYSTEM_GENERATED

    static final int SYBASE_ASA_BASE_INDEX__SYSTEM_GENERATED

  The feature id for the 'System Generated' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__MEMBERS

    static final int SYBASE_ASA_BASE_INDEX__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__TABLE

    static final int SYBASE_ASA_BASE_INDEX__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__FOREIGN_KEY

    static final int SYBASE_ASA_BASE_INDEX__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__INCLUDED_MEMBERS

    static final int SYBASE_ASA_BASE_INDEX__INCLUDED_MEMBERS

  The feature id for the 'Included Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX__DB_SPACE

    static final int SYBASE_ASA_BASE_INDEX__DB_SPACE

  The feature id for the 'Db Space' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_INDEX_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_INDEX_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Index' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_DB_SPACE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__NAME

    static final int SYBASE_ASA_BASE_DB_SPACE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_DB_SPACE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__DESCRIPTION

    static final int SYBASE_ASA_BASE_DB_SPACE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__LABEL

    static final int SYBASE_ASA_BASE_DB_SPACE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__COMMENTS

    static final int SYBASE_ASA_BASE_DB_SPACE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__EXTENSIONS

    static final int SYBASE_ASA_BASE_DB_SPACE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__PRIVILEGES

    static final int SYBASE_ASA_BASE_DB_SPACE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__FILE_NAME

    static final int SYBASE_ASA_BASE_DB_SPACE__FILE_NAME

  The feature id for the 'File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE__DATABASE

    static final int SYBASE_ASA_BASE_DB_SPACE__DATABASE

  The feature id for the 'Database' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_DB_SPACE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_DB_SPACE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base DB Space' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_VIEW_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__NAME

    static final int SYBASE_ASA_BASE_VIEW_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_VIEW_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__DESCRIPTION

    static final int SYBASE_ASA_BASE_VIEW_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__LABEL

    static final int SYBASE_ASA_BASE_VIEW_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__COMMENTS

    static final int SYBASE_ASA_BASE_VIEW_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__EXTENSIONS

    static final int SYBASE_ASA_BASE_VIEW_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__PRIVILEGES

    static final int SYBASE_ASA_BASE_VIEW_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__COLUMNS

    static final int SYBASE_ASA_BASE_VIEW_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__SUPERTABLE

    static final int SYBASE_ASA_BASE_VIEW_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__SUBTABLES

    static final int SYBASE_ASA_BASE_VIEW_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__SCHEMA

    static final int SYBASE_ASA_BASE_VIEW_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__UDT

    static final int SYBASE_ASA_BASE_VIEW_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__TRIGGERS

    static final int SYBASE_ASA_BASE_VIEW_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__INDEX

    static final int SYBASE_ASA_BASE_VIEW_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_BASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__INSERTABLE

    static final int SYBASE_ASA_BASE_VIEW_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__UPDATABLE

    static final int SYBASE_ASA_BASE_VIEW_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__QUERY_EXPRESSION

    static final int SYBASE_ASA_BASE_VIEW_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__CHECK_TYPE

    static final int SYBASE_ASA_BASE_VIEW_TABLE__CHECK_TYPE

  The feature id for the 'Check Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION

    static final int SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION

  The feature id for the 'With Check Option' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT

    static final int SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT

  The feature id for the 'Statement' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_VIEW_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_VIEW_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base View Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__EANNOTATIONS

    static final int SYBASE_ASA_BASE_FUNCTION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__NAME

    static final int SYBASE_ASA_BASE_FUNCTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__DEPENDENCIES

    static final int SYBASE_ASA_BASE_FUNCTION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__DESCRIPTION

    static final int SYBASE_ASA_BASE_FUNCTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__LABEL

    static final int SYBASE_ASA_BASE_FUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__COMMENTS

    static final int SYBASE_ASA_BASE_FUNCTION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__EXTENSIONS

    static final int SYBASE_ASA_BASE_FUNCTION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__PRIVILEGES

    static final int SYBASE_ASA_BASE_FUNCTION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__SPECIFIC_NAME

    static final int SYBASE_ASA_BASE_FUNCTION__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__LANGUAGE

    static final int SYBASE_ASA_BASE_FUNCTION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__PARAMETER_STYLE

    static final int SYBASE_ASA_BASE_FUNCTION__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__DETERMINISTIC

    static final int SYBASE_ASA_BASE_FUNCTION__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__SQL_DATA_ACCESS

    static final int SYBASE_ASA_BASE_FUNCTION__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__CREATION_TS

    static final int SYBASE_ASA_BASE_FUNCTION__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__LAST_ALTERED_TS

    static final int SYBASE_ASA_BASE_FUNCTION__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__AUTHORIZATION_ID

    static final int SYBASE_ASA_BASE_FUNCTION__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__SECURITY

    static final int SYBASE_ASA_BASE_FUNCTION__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__EXTERNAL_NAME

    static final int SYBASE_ASA_BASE_FUNCTION__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__PARAMETERS

    static final int SYBASE_ASA_BASE_FUNCTION__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__SOURCE

    static final int SYBASE_ASA_BASE_FUNCTION__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__SCHEMA

    static final int SYBASE_ASA_BASE_FUNCTION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__NULL_CALL

    static final int SYBASE_ASA_BASE_FUNCTION__NULL_CALL

  The feature id for the 'Null Call' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__STATIC

    static final int SYBASE_ASA_BASE_FUNCTION__STATIC

  The feature id for the 'Static' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__TRANSFORM_GROUP

    static final int SYBASE_ASA_BASE_FUNCTION__TRANSFORM_GROUP

  The feature id for the 'Transform Group' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__TYPE_PRESERVING

    static final int SYBASE_ASA_BASE_FUNCTION__TYPE_PRESERVING

  The feature id for the 'Type Preserving' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__MUTATOR

    static final int SYBASE_ASA_BASE_FUNCTION__MUTATOR

  The feature id for the 'Mutator' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__RETURN_TABLE

    static final int SYBASE_ASA_BASE_FUNCTION__RETURN_TABLE

  The feature id for the 'Return Table' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__RETURN_SCALAR

    static final int SYBASE_ASA_BASE_FUNCTION__RETURN_SCALAR

  The feature id for the 'Return Scalar' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__RETURN_CAST

    static final int SYBASE_ASA_BASE_FUNCTION__RETURN_CAST

  The feature id for the 'Return Cast' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME

    static final int SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME

  The feature id for the 'On Exception Resume' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_FUNCTION_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_FUNCTION_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Function' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_PROCEDURE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__NAME

    static final int SYBASE_ASA_BASE_PROCEDURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_PROCEDURE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__DESCRIPTION

    static final int SYBASE_ASA_BASE_PROCEDURE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__LABEL

    static final int SYBASE_ASA_BASE_PROCEDURE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__COMMENTS

    static final int SYBASE_ASA_BASE_PROCEDURE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__EXTENSIONS

    static final int SYBASE_ASA_BASE_PROCEDURE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__PRIVILEGES

    static final int SYBASE_ASA_BASE_PROCEDURE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__SPECIFIC_NAME

    static final int SYBASE_ASA_BASE_PROCEDURE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__LANGUAGE

    static final int SYBASE_ASA_BASE_PROCEDURE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__PARAMETER_STYLE

    static final int SYBASE_ASA_BASE_PROCEDURE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__DETERMINISTIC

    static final int SYBASE_ASA_BASE_PROCEDURE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__SQL_DATA_ACCESS

    static final int SYBASE_ASA_BASE_PROCEDURE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__CREATION_TS

    static final int SYBASE_ASA_BASE_PROCEDURE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__LAST_ALTERED_TS

    static final int SYBASE_ASA_BASE_PROCEDURE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__AUTHORIZATION_ID

    static final int SYBASE_ASA_BASE_PROCEDURE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__SECURITY

    static final int SYBASE_ASA_BASE_PROCEDURE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__EXTERNAL_NAME

    static final int SYBASE_ASA_BASE_PROCEDURE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__PARAMETERS

    static final int SYBASE_ASA_BASE_PROCEDURE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__SOURCE

    static final int SYBASE_ASA_BASE_PROCEDURE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__SCHEMA

    static final int SYBASE_ASA_BASE_PROCEDURE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__MAX_RESULT_SETS

    static final int SYBASE_ASA_BASE_PROCEDURE__MAX_RESULT_SETS

  The feature id for the 'Max Result Sets' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__OLD_SAVE_POINT

    static final int SYBASE_ASA_BASE_PROCEDURE__OLD_SAVE_POINT

  The feature id for the 'Old Save Point' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__RESULT_SET

    static final int SYBASE_ASA_BASE_PROCEDURE__RESULT_SET

  The feature id for the 'Result Set' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME

    static final int SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME

  The feature id for the 'On Exception Resume' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROCEDURE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_PROCEDURE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Procedure' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__NAME

    static final int SYBASE_ASA_BASE_TEMP_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_TEMP_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__DESCRIPTION

    static final int SYBASE_ASA_BASE_TEMP_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__LABEL

    static final int SYBASE_ASA_BASE_TEMP_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__COMMENTS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__EXTENSIONS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__PRIVILEGES

    static final int SYBASE_ASA_BASE_TEMP_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__COLUMNS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__SUPERTABLE

    static final int SYBASE_ASA_BASE_TEMP_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__SUBTABLES

    static final int SYBASE_ASA_BASE_TEMP_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__SCHEMA

    static final int SYBASE_ASA_BASE_TEMP_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__UDT

    static final int SYBASE_ASA_BASE_TEMP_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__TRIGGERS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__INDEX

    static final int SYBASE_ASA_BASE_TEMP_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_BASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__INSERTABLE

    static final int SYBASE_ASA_BASE_TEMP_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__UPDATABLE

    static final int SYBASE_ASA_BASE_TEMP_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__CONSTRAINTS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASA_BASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__LOCAL

    static final int SYBASE_ASA_BASE_TEMP_TABLE__LOCAL

  The feature id for the 'Local' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__DELETE_ON_COMMIT

    static final int SYBASE_ASA_BASE_TEMP_TABLE__DELETE_ON_COMMIT

  The feature id for the 'Delete On Commit' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION

    static final int SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION

  The feature id for the 'Transaction Option' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TEMP_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_TEMP_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Temp Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__EANNOTATIONS

    static final int SYBASE_ASA_BASE_TRIGGER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__NAME

    static final int SYBASE_ASA_BASE_TRIGGER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__DEPENDENCIES

    static final int SYBASE_ASA_BASE_TRIGGER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__DESCRIPTION

    static final int SYBASE_ASA_BASE_TRIGGER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__LABEL

    static final int SYBASE_ASA_BASE_TRIGGER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__COMMENTS

    static final int SYBASE_ASA_BASE_TRIGGER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__EXTENSIONS

    static final int SYBASE_ASA_BASE_TRIGGER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__PRIVILEGES

    static final int SYBASE_ASA_BASE_TRIGGER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__SCHEMA

    static final int SYBASE_ASA_BASE_TRIGGER__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__SUBJECT_TABLE

    static final int SYBASE_ASA_BASE_TRIGGER__SUBJECT_TABLE

  The feature id for the 'Subject Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__ACTION_STATEMENT

    static final int SYBASE_ASA_BASE_TRIGGER__ACTION_STATEMENT

  The feature id for the 'Action Statement' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__TRIGGER_COLUMN

    static final int SYBASE_ASA_BASE_TRIGGER__TRIGGER_COLUMN

  The feature id for the 'Trigger Column' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__ACTION_GRANULARITY

    static final int SYBASE_ASA_BASE_TRIGGER__ACTION_GRANULARITY

  The feature id for the 'Action Granularity' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__WHEN

    static final int SYBASE_ASA_BASE_TRIGGER__WHEN

  The feature id for the 'When' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__TIME_STAMP

    static final int SYBASE_ASA_BASE_TRIGGER__TIME_STAMP

  The feature id for the 'Time Stamp' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__ACTION_TIME

    static final int SYBASE_ASA_BASE_TRIGGER__ACTION_TIME

  The feature id for the 'Action Time' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__UPDATE_TYPE

    static final int SYBASE_ASA_BASE_TRIGGER__UPDATE_TYPE

  The feature id for the 'Update Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__INSERT_TYPE

    static final int SYBASE_ASA_BASE_TRIGGER__INSERT_TYPE

  The feature id for the 'Insert Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__DELETE_TYPE

    static final int SYBASE_ASA_BASE_TRIGGER__DELETE_TYPE

  The feature id for the 'Delete Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__OLD_ROW

    static final int SYBASE_ASA_BASE_TRIGGER__OLD_ROW

  The feature id for the 'Old Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__NEW_ROW

    static final int SYBASE_ASA_BASE_TRIGGER__NEW_ROW

  The feature id for the 'New Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__OLD_TABLE

    static final int SYBASE_ASA_BASE_TRIGGER__OLD_TABLE

  The feature id for the 'Old Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__NEW_TABLE

    static final int SYBASE_ASA_BASE_TRIGGER__NEW_TABLE

  The feature id for the 'New Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__ORDER

    static final int SYBASE_ASA_BASE_TRIGGER__ORDER

  The feature id for the 'Order' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME

    static final int SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME

  The feature id for the 'Sybase ASA Base Action Time' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME

    static final int SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME

  The feature id for the 'Remote Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE

    static final int SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE

  The feature id for the 'Update Column Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_TRIGGER_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_TRIGGER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Trigger' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__NAME

    static final int SYBASE_ASA_BASE_PROXY_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_PROXY_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__DESCRIPTION

    static final int SYBASE_ASA_BASE_PROXY_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__LABEL

    static final int SYBASE_ASA_BASE_PROXY_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__COMMENTS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__EXTENSIONS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__PRIVILEGES

    static final int SYBASE_ASA_BASE_PROXY_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__COLUMNS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__SUPERTABLE

    static final int SYBASE_ASA_BASE_PROXY_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__SUBTABLES

    static final int SYBASE_ASA_BASE_PROXY_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__SCHEMA

    static final int SYBASE_ASA_BASE_PROXY_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__UDT

    static final int SYBASE_ASA_BASE_PROXY_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__TRIGGERS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__INDEX

    static final int SYBASE_ASA_BASE_PROXY_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_BASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__INSERTABLE

    static final int SYBASE_ASA_BASE_PROXY_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__UPDATABLE

    static final int SYBASE_ASA_BASE_PROXY_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__CONSTRAINTS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASA_BASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__DB_SPACE

    static final int SYBASE_ASA_BASE_PROXY_TABLE__DB_SPACE

  The feature id for the 'Db Space' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION

    static final int SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION

  The feature id for the 'Remote Object Location' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE__EXISTING

    static final int SYBASE_ASA_BASE_PROXY_TABLE__EXISTING

  The feature id for the 'Existing' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PROXY_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_PROXY_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Proxy Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__NAME

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__LABEL

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COMMENTS

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__ENFORCED

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION

  The feature id for the 'Search Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Column Check Constraint' class.

  See Also:
    Constant Field Values

### SCHEDULE

    static final int SCHEDULE

  The meta object id for the '`Schedule`' class.

  See Also:
    `ScheduleImpl`, `SybaseasabasesqlmodelPackageImpl.getSchedule()`, Constant Field Values

### SCHEDULE__EANNOTATIONS

    static final int SCHEDULE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SCHEDULE__NAME

    static final int SCHEDULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__DEPENDENCIES

    static final int SCHEDULE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SCHEDULE__DESCRIPTION

    static final int SCHEDULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__LABEL

    static final int SCHEDULE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__COMMENTS

    static final int SCHEDULE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SCHEDULE__EXTENSIONS

    static final int SCHEDULE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SCHEDULE__PRIVILEGES

    static final int SCHEDULE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SCHEDULE__RECURRING

    static final int SCHEDULE__RECURRING

  The feature id for the 'Recurring' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__START_TIME

    static final int SCHEDULE__START_TIME

  The feature id for the 'Start Time' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__STOP_TIME

    static final int SCHEDULE__STOP_TIME

  The feature id for the 'Stop Time' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__START_DATE

    static final int SCHEDULE__START_DATE

  The feature id for the 'Start Date' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__DAYS_OF_WEEK

    static final int SCHEDULE__DAYS_OF_WEEK

  The feature id for the 'Days Of Week' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__DAYS_OF_MONTH

    static final int SCHEDULE__DAYS_OF_MONTH

  The feature id for the 'Days Of Month' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__INTERVAL_UNIT

    static final int SCHEDULE__INTERVAL_UNIT

  The feature id for the 'Interval Unit' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__INTERVAL_MOUNT

    static final int SCHEDULE__INTERVAL_MOUNT

  The feature id for the 'Interval Mount' attribute.

  See Also:
    Constant Field Values

### SCHEDULE__EVENT

    static final int SCHEDULE__EVENT

  The feature id for the 'Event' container reference.

  See Also:
    Constant Field Values

### SCHEDULE_FEATURE_COUNT

    static final int SCHEDULE_FEATURE_COUNT

  The number of structural features of the 'Schedule' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE

  The meta object id for the '`Sybase ASA Base Remote Procedure`' class.

  See Also:
    `SybaseASABaseRemoteProcedureImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseRemoteProcedure()`, Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__EANNOTATIONS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__NAME

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__DEPENDENCIES

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__DESCRIPTION

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__LABEL

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__COMMENTS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTENSIONS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__PRIVILEGES

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__SPECIFIC_NAME

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__LANGUAGE

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETER_STYLE

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__DETERMINISTIC

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__SQL_DATA_ACCESS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__CREATION_TS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__LAST_ALTERED_TS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__AUTHORIZATION_ID

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__SECURITY

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTERNAL_NAME

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETERS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__SOURCE

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__SCHEMA

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__MAX_RESULT_SETS

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__MAX_RESULT_SETS

  The feature id for the 'Max Result Sets' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__OLD_SAVE_POINT

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__OLD_SAVE_POINT

  The feature id for the 'Old Save Point' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__RESULT_SET

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__RESULT_SET

  The feature id for the 'Result Set' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__ON_EXCEPTION_RESUME

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__ON_EXCEPTION_RESUME

  The feature id for the 'On Exception Resume' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION

  The feature id for the 'Location' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_REMOTE_PROCEDURE_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_REMOTE_PROCEDURE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Remote Procedure' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER

    static final int SYBASE_ASA_BASE_PARAMETER

  The meta object id for the '`Sybase ASA Base Parameter`' class.

  See Also:
    `SybaseASABaseParameterImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseParameter()`, Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__EANNOTATIONS

    static final int SYBASE_ASA_BASE_PARAMETER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__NAME

    static final int SYBASE_ASA_BASE_PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__DEPENDENCIES

    static final int SYBASE_ASA_BASE_PARAMETER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__DESCRIPTION

    static final int SYBASE_ASA_BASE_PARAMETER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__LABEL

    static final int SYBASE_ASA_BASE_PARAMETER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__COMMENTS

    static final int SYBASE_ASA_BASE_PARAMETER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__EXTENSIONS

    static final int SYBASE_ASA_BASE_PARAMETER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__PRIVILEGES

    static final int SYBASE_ASA_BASE_PARAMETER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__CONTAINED_TYPE

    static final int SYBASE_ASA_BASE_PARAMETER__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__REFERENCED_TYPE

    static final int SYBASE_ASA_BASE_PARAMETER__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__MODE

    static final int SYBASE_ASA_BASE_PARAMETER__MODE

  The feature id for the 'Mode' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__LOCATOR

    static final int SYBASE_ASA_BASE_PARAMETER__LOCATOR

  The feature id for the 'Locator' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__ROUTINE

    static final int SYBASE_ASA_BASE_PARAMETER__ROUTINE

  The feature id for the 'Routine' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__STRING_TYPE_OPTION

    static final int SYBASE_ASA_BASE_PARAMETER__STRING_TYPE_OPTION

  The feature id for the 'String Type Option' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__NULLABLE

    static final int SYBASE_ASA_BASE_PARAMETER__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__DEFAULT_VALUE

    static final int SYBASE_ASA_BASE_PARAMETER__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__JDBC_PARAMETER_TYPE

    static final int SYBASE_ASA_BASE_PARAMETER__JDBC_PARAMETER_TYPE

  The feature id for the 'JDBC Parameter Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER__PARM_TYPE

    static final int SYBASE_ASA_BASE_PARAMETER__PARM_TYPE

  The feature id for the 'Parm Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_PARAMETER_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Parameter' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP

    static final int SYBASE_ASA_BASE_GROUP

  The meta object id for the '`Sybase ASA Base Group`' class.

  See Also:
    `SybaseASABaseGroupImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseGroup()`, Constant Field Values

### SYBASE_ASA_BASE_GROUP__EANNOTATIONS

    static final int SYBASE_ASA_BASE_GROUP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__NAME

    static final int SYBASE_ASA_BASE_GROUP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__DEPENDENCIES

    static final int SYBASE_ASA_BASE_GROUP__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__DESCRIPTION

    static final int SYBASE_ASA_BASE_GROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__LABEL

    static final int SYBASE_ASA_BASE_GROUP__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__COMMENTS

    static final int SYBASE_ASA_BASE_GROUP__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__EXTENSIONS

    static final int SYBASE_ASA_BASE_GROUP__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__PRIVILEGES

    static final int SYBASE_ASA_BASE_GROUP__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__OWNED_SCHEMA

    static final int SYBASE_ASA_BASE_GROUP__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__DATABASE

    static final int SYBASE_ASA_BASE_GROUP__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_ASA_BASE_GROUP__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_ASA_BASE_GROUP__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__GRANTED_PRIVILEGE

    static final int SYBASE_ASA_BASE_GROUP__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__RECEIVED_PRIVILEGE

    static final int SYBASE_ASA_BASE_GROUP__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__GROUP

    static final int SYBASE_ASA_BASE_GROUP__GROUP

  The feature id for the 'Group' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__USER

    static final int SYBASE_ASA_BASE_GROUP__USER

  The feature id for the 'User' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP__SQL_CONTAINER

    static final int SYBASE_ASA_BASE_GROUP__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_GROUP_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_GROUP_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Group' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA

    static final int SYBASE_ASA_BASE_SCHEMA

  The meta object id for the '`Sybase ASA Base Schema`' class.

  See Also:
    `SybaseASABaseSchemaImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseSchema()`, Constant Field Values

### SYBASE_ASA_BASE_USER

    static final int SYBASE_ASA_BASE_USER

  The meta object id for the '`Sybase ASA Base User`' class.

  See Also:
    `SybaseASABaseUserImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseUser()`, Constant Field Values

### SYBASE_ASA_BASE_USER__EANNOTATIONS

    static final int SYBASE_ASA_BASE_USER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__NAME

    static final int SYBASE_ASA_BASE_USER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__DEPENDENCIES

    static final int SYBASE_ASA_BASE_USER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__DESCRIPTION

    static final int SYBASE_ASA_BASE_USER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__LABEL

    static final int SYBASE_ASA_BASE_USER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__COMMENTS

    static final int SYBASE_ASA_BASE_USER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__EXTENSIONS

    static final int SYBASE_ASA_BASE_USER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__PRIVILEGES

    static final int SYBASE_ASA_BASE_USER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__OWNED_SCHEMA

    static final int SYBASE_ASA_BASE_USER__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__DATABASE

    static final int SYBASE_ASA_BASE_USER__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_ASA_BASE_USER__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_ASA_BASE_USER__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__GRANTED_PRIVILEGE

    static final int SYBASE_ASA_BASE_USER__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__RECEIVED_PRIVILEGE

    static final int SYBASE_ASA_BASE_USER__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__GROUP

    static final int SYBASE_ASA_BASE_USER__GROUP

  The feature id for the 'Group' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER__SQL_CONTAINER

    static final int SYBASE_ASA_BASE_USER__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_USER_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_USER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base User' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__EANNOTATIONS

    static final int SYBASE_ASA_BASE_SCHEMA__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__NAME

    static final int SYBASE_ASA_BASE_SCHEMA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__DEPENDENCIES

    static final int SYBASE_ASA_BASE_SCHEMA__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__DESCRIPTION

    static final int SYBASE_ASA_BASE_SCHEMA__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__LABEL

    static final int SYBASE_ASA_BASE_SCHEMA__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__COMMENTS

    static final int SYBASE_ASA_BASE_SCHEMA__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__EXTENSIONS

    static final int SYBASE_ASA_BASE_SCHEMA__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__PRIVILEGES

    static final int SYBASE_ASA_BASE_SCHEMA__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__TRIGGERS

    static final int SYBASE_ASA_BASE_SCHEMA__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__INDICES

    static final int SYBASE_ASA_BASE_SCHEMA__INDICES

  The feature id for the 'Indices' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__TABLES

    static final int SYBASE_ASA_BASE_SCHEMA__TABLES

  The feature id for the 'Tables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__SEQUENCES

    static final int SYBASE_ASA_BASE_SCHEMA__SEQUENCES

  The feature id for the 'Sequences' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__DATABASE

    static final int SYBASE_ASA_BASE_SCHEMA__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__CATALOG

    static final int SYBASE_ASA_BASE_SCHEMA__CATALOG

  The feature id for the 'Catalog' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__ASSERTIONS

    static final int SYBASE_ASA_BASE_SCHEMA__ASSERTIONS

  The feature id for the 'Assertions' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__USER_DEFINED_TYPES

    static final int SYBASE_ASA_BASE_SCHEMA__USER_DEFINED_TYPES

  The feature id for the 'User Defined Types' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__CHAR_SETS

    static final int SYBASE_ASA_BASE_SCHEMA__CHAR_SETS

  The feature id for the 'Char Sets' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__ROUTINES

    static final int SYBASE_ASA_BASE_SCHEMA__ROUTINES

  The feature id for the 'Routines' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA__OWNER

    static final int SYBASE_ASA_BASE_SCHEMA__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_BASE_SCHEMA_FEATURE_COUNT

    static final int SYBASE_ASA_BASE_SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Base Schema' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER

    static final int SYBASE_ASA_DEFAULT_WRAPPER

  The meta object id for the '`Sybase ASA Default Wrapper`' class.

  See Also:
    `SybaseASADefaultWrapperImpl`, `SybaseasabasesqlmodelPackageImpl.getSybaseASADefaultWrapper()`, Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER__VALUE

    static final int SYBASE_ASA_DEFAULT_WRAPPER__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL

    static final int SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL

  The feature id for the 'Is Literal' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE

    static final int SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE

  The feature id for the 'Partition Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER__TYPE

    static final int SYBASE_ASA_DEFAULT_WRAPPER__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DEFAULT_WRAPPER_FEATURE_COUNT

    static final int SYBASE_ASA_DEFAULT_WRAPPER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Default Wrapper' class.

  See Also:
    Constant Field Values

### EVENT_CONDITION

    static final int EVENT_CONDITION

  The meta object id for the '`Event Condition`' class.

  See Also:
    `EventConditionImpl`, `SybaseasabasesqlmodelPackageImpl.getEventCondition()`, Constant Field Values

### EVENT_CONDITION__EANNOTATIONS

    static final int EVENT_CONDITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### EVENT_CONDITION__NAME

    static final int EVENT_CONDITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EVENT_CONDITION__DEPENDENCIES

    static final int EVENT_CONDITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### EVENT_CONDITION__DESCRIPTION

    static final int EVENT_CONDITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### EVENT_CONDITION__LABEL

    static final int EVENT_CONDITION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### EVENT_CONDITION__COMMENTS

    static final int EVENT_CONDITION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### EVENT_CONDITION__EXTENSIONS

    static final int EVENT_CONDITION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### EVENT_CONDITION__PRIVILEGES

    static final int EVENT_CONDITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### EVENT_CONDITION__OPERATOR

    static final int EVENT_CONDITION__OPERATOR

  The feature id for the 'Operator' attribute.

  See Also:
    Constant Field Values

### EVENT_CONDITION__VALUE

    static final int EVENT_CONDITION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### EVENT_CONDITION__EVENT

    static final int EVENT_CONDITION__EVENT

  The feature id for the 'Event' container reference.

  See Also:
    Constant Field Values

### EVENT_CONDITION_FEATURE_COUNT

    static final int EVENT_CONDITION_FEATURE_COUNT

  The number of structural features of the 'Event Condition' class.

  See Also:
    Constant Field Values

### TRANSACTION_OPTION

    static final int TRANSACTION_OPTION

  The meta object id for the '`Transaction Option`' enum.

  See Also:
    `TransactionOption`, `SybaseasabasesqlmodelPackageImpl.getTransactionOption()`, Constant Field Values

### TYPE_OF_DEFAULT

    static final int TYPE_OF_DEFAULT

  The meta object id for the '`Type Of Default`' enum.

  See Also:
    `TypeOfDefault`, `SybaseasabasesqlmodelPackageImpl.getTypeOfDefault()`, Constant Field Values

### SYBASE_ASA_BASE_ACTION_TIME

    static final int SYBASE_ASA_BASE_ACTION_TIME

  The meta object id for the '`Sybase ASA Base Action Time`' enum.

  See Also:
    `SybaseASABaseActionTime`, `SybaseasabasesqlmodelPackageImpl.getSybaseASABaseActionTime()`, Constant Field Values

### EVENT_TYPE

    static final int EVENT_TYPE

  The meta object id for the '`Event Type`' enum.

  See Also:
    `EventType`, `SybaseasabasesqlmodelPackageImpl.getEventType()`, Constant Field Values

### JAVA_SUPPORT_TYPE

    static final int JAVA_SUPPORT_TYPE

  The meta object id for the '`Java Support Type`' enum.

  See Also:
    `JavaSupportType`, `SybaseasabasesqlmodelPackageImpl.getJavaSupportType()`, Constant Field Values

### EVENT_LOCATION_TYPE

    static final int EVENT_LOCATION_TYPE

  The meta object id for the '`Event Location Type`' enum.

  See Also:
    `EventLocationType`, `SybaseasabasesqlmodelPackageImpl.getEventLocationType()`, Constant Field Values

### INTERVAL_UNIT_TYPE

    static final int INTERVAL_UNIT_TYPE

  The meta object id for the '`Interval Unit Type`' enum.

  See Also:
    `IntervalUnitType`, `SybaseasabasesqlmodelPackageImpl.getIntervalUnitType()`, Constant Field Values

### SYSTEM_DEFINED_DEFAULT_TYPE

    static final int SYSTEM_DEFINED_DEFAULT_TYPE

  The meta object id for the '`System Defined Default Type`' enum.

  See Also:
    `SystemDefinedDefaultType`, `SybaseasabasesqlmodelPackageImpl.getSystemDefinedDefaultType()`, Constant Field Values

### ALLOW_NULL_TYPE

    static final int ALLOW_NULL_TYPE

  The meta object id for the '`Allow Null Type`' enum.

  See Also:
    `AllowNullType`, `SybaseasabasesqlmodelPackageImpl.getAllowNullType()`, Constant Field Values

### PARAMETER_TYPE

    static final int PARAMETER_TYPE

  The meta object id for the '`Parameter Type`' enum.

  See Also:
    `ParameterType`, `SybaseasabasesqlmodelPackageImpl.getParameterType()`, Constant Field Values

Method Detail

### getSybaseASABaseEvent

    org.eclipse.emf.ecore.EClass getSybaseASABaseEvent()

  Returns the meta object for class '`Sybase ASA Base Event`'.

  Returns:
    the meta object for class 'Sybase ASA Base Event'.
  See Also:
    `SybaseASABaseEvent`

### getSybaseASABaseEvent_EventCreator

    org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_EventCreator()

  Returns the meta object for the reference '`Event Creator`'.

  Returns:
    the meta object for the reference 'Event Creator'.
  See Also:
    `SybaseASABaseEvent.getEventCreator()`, `getSybaseASABaseEvent()`

### getSybaseASABaseEvent_Location

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseEvent_Location()

  Returns the meta object for the attribute '`Location`'.

  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `SybaseASABaseEvent.getLocation()`, `getSybaseASABaseEvent()`

### getSybaseASABaseEvent_Schedules

    org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_Schedules()

  Returns the meta object for the containment reference list '`Schedules`'.

  Returns:
    the meta object for the containment reference list 'Schedules'.
  See Also:
    `SybaseASABaseEvent.getSchedules()`, `getSybaseASABaseEvent()`

### getSybaseASABaseEvent_ConditionDetails

    org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_ConditionDetails()

  Returns the meta object for the containment reference list '`Condition Details`'.

  Returns:
    the meta object for the containment reference list 'Condition Details'.
  See Also:
    `SybaseASABaseEvent.getConditionDetails()`, `getSybaseASABaseEvent()`

### getSybaseASABaseEvent_EventType

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseEvent_EventType()

  Returns the meta object for the attribute '`Event Type`'.

  Returns:
    the meta object for the attribute 'Event Type'.
  See Also:
    `SybaseASABaseEvent.getEventType()`, `getSybaseASABaseEvent()`

### getSybaseASABaseDatabase

    org.eclipse.emf.ecore.EClass getSybaseASABaseDatabase()

  Returns the meta object for class '`Sybase ASA Base Database`'.

  Returns:
    the meta object for class 'Sybase ASA Base Database'.
  See Also:
    `SybaseASABaseDatabase`

### getSybaseASABaseDatabase_DataTypes

    org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_DataTypes()

  Returns the meta object for the reference list '`Data Types`'.

  Returns:
    the meta object for the reference list 'Data Types'.
  See Also:
    `SybaseASABaseDatabase.getDataTypes()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_WebServices

    org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_WebServices()

  Returns the meta object for the reference list '`Web Services`'.

  Returns:
    the meta object for the reference list 'Web Services'.
  See Also:
    `SybaseASABaseDatabase.getWebServices()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_DbSpaces

    org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_DbSpaces()

  Returns the meta object for the containment reference list '`Db Spaces`'.

  Returns:
    the meta object for the containment reference list 'Db Spaces'.
  See Also:
    `SybaseASABaseDatabase.getDbSpaces()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_DatabaseFileName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_DatabaseFileName()

  Returns the meta object for the attribute '`Database File Name`'.

  Returns:
    the meta object for the attribute 'Database File Name'.
  See Also:
    `SybaseASABaseDatabase.getDatabaseFileName()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_LogFileName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_LogFileName()

  Returns the meta object for the attribute '`Log File Name`'.

  Returns:
    the meta object for the attribute 'Log File Name'.
  See Also:
    `SybaseASABaseDatabase.getLogFileName()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_MirrorFileName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_MirrorFileName()

  Returns the meta object for the attribute '`Mirror File Name`'.

  Returns:
    the meta object for the attribute 'Mirror File Name'.
  See Also:
    `SybaseASABaseDatabase.getMirrorFileName()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_CaseSensitive

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_CaseSensitive()

  Returns the meta object for the attribute '`Case Sensitive`'.

  Returns:
    the meta object for the attribute 'Case Sensitive'.
  See Also:
    `SybaseASABaseDatabase.isCaseSensitive()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_Collation

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_Collation()

  Returns the meta object for the attribute '`Collation`'.

  Returns:
    the meta object for the attribute 'Collation'.
  See Also:
    `SybaseASABaseDatabase.getCollation()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_BlankPaddingOn

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_BlankPaddingOn()

  Returns the meta object for the attribute '`Blank Padding On`'.

  Returns:
    the meta object for the attribute 'Blank Padding On'.
  See Also:
    `SybaseASABaseDatabase.isBlankPaddingOn()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_CheckSumOn

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_CheckSumOn()

  Returns the meta object for the attribute '`Check Sum On`'.

  Returns:
    the meta object for the attribute 'Check Sum On'.
  See Also:
    `SybaseASABaseDatabase.isCheckSumOn()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_JConnectOn

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_JConnectOn()

  Returns the meta object for the attribute '`JConnect On`'.

  Returns:
    the meta object for the attribute 'JConnect On'.
  See Also:
    `SybaseASABaseDatabase.isJConnectOn()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_PageSize

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_PageSize()

  Returns the meta object for the attribute '`Page Size`'.

  Returns:
    the meta object for the attribute 'Page Size'.
  See Also:
    `SybaseASABaseDatabase.getPageSize()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_EncryptionInfo

    org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_EncryptionInfo()

  Returns the meta object for the reference '`Encryption Info`'.

  Returns:
    the meta object for the reference 'Encryption Info'.
  See Also:
    `SybaseASABaseDatabase.getEncryptionInfo()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_JavaSupport

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_JavaSupport()

  Returns the meta object for the attribute '`Java Support`'.

  Returns:
    the meta object for the attribute 'Java Support'.
  See Also:
    `SybaseASABaseDatabase.getJavaSupport()`, `getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_PasswordCaseSensitive

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_PasswordCaseSensitive()

  Returns the meta object for the attribute '`Password Case Sensitive`'.

  Returns:
    the meta object for the attribute 'Password Case Sensitive'.
  See Also:
    `SybaseASABaseDatabase.getPasswordCaseSensitive()`, `getSybaseASABaseDatabase()`

### getEncryptionInfo

    org.eclipse.emf.ecore.EClass getEncryptionInfo()

  Returns the meta object for class '`Encryption Info`'.

  Returns:
    the meta object for class 'Encryption Info'.
  See Also:
    `EncryptionInfo`

### getEncryptionInfo_EncryptedTable

    org.eclipse.emf.ecore.EAttribute getEncryptionInfo_EncryptedTable()

  Returns the meta object for the attribute '`Encrypted Table`'.

  Returns:
    the meta object for the attribute 'Encrypted Table'.
  See Also:
    `EncryptionInfo.isEncryptedTable()`, `getEncryptionInfo()`

### getEncryptionInfo_EncryptionKey

    org.eclipse.emf.ecore.EAttribute getEncryptionInfo_EncryptionKey()

  Returns the meta object for the attribute '`Encryption Key`'.

  Returns:
    the meta object for the attribute 'Encryption Key'.
  See Also:
    `EncryptionInfo.getEncryptionKey()`, `getEncryptionInfo()`

### getEncryptionInfo_Algorithm

    org.eclipse.emf.ecore.EAttribute getEncryptionInfo_Algorithm()

  Returns the meta object for the attribute '`Algorithm`'.

  Returns:
    the meta object for the attribute 'Algorithm'.
  See Also:
    `EncryptionInfo.getAlgorithm()`, `getEncryptionInfo()`

### getSybaseASABaseUserDefinedType

    org.eclipse.emf.ecore.EClass getSybaseASABaseUserDefinedType()

  Returns the meta object for class '`Sybase ASA Base User Defined Type`'.

  Returns:
    the meta object for class 'Sybase ASA Base User Defined Type'.
  See Also:
    `SybaseASABaseUserDefinedType`

### getSybaseASABaseUserDefinedType_Nullable

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseUserDefinedType_Nullable()

  Returns the meta object for the attribute '`Nullable`'.

  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseASABaseUserDefinedType.getNullable()`, `getSybaseASABaseUserDefinedType()`

### getSybaseASABaseUserDefinedType_DefaultType

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseUserDefinedType_DefaultType()

  Returns the meta object for the attribute '`Default Type`'.

  Returns:
    the meta object for the attribute 'Default Type'.
  See Also:
    `SybaseASABaseUserDefinedType.getDefaultType()`, `getSybaseASABaseUserDefinedType()`

### getSybaseASABasePredefinedDataType

    org.eclipse.emf.ecore.EClass getSybaseASABasePredefinedDataType()

  Returns the meta object for class '`Sybase ASA Base Predefined Data Type`'.

  Returns:
    the meta object for class 'Sybase ASA Base Predefined Data Type'.
  See Also:
    `SybaseASABasePredefinedDataType`

### getSybaseASABasePredefinedDataType_Database

    org.eclipse.emf.ecore.EReference getSybaseASABasePredefinedDataType_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASABasePredefinedDataType.getDatabase()`, `getSybaseASABasePredefinedDataType()`

### getSybaseASABaseTable

    org.eclipse.emf.ecore.EClass getSybaseASABaseTable()

  Returns the meta object for class '`Sybase ASA Base Table`'.

  Returns:
    the meta object for class 'Sybase ASA Base Table'.
  See Also:
    `SybaseASABaseTable`

### getSybaseASABaseTable_DbSpace

    org.eclipse.emf.ecore.EReference getSybaseASABaseTable_DbSpace()

  Returns the meta object for the reference '`Db Space`'.

  Returns:
    the meta object for the reference 'Db Space'.
  See Also:
    `SybaseASABaseTable.getDbSpace()`, `getSybaseASABaseTable()`

### getSybaseASABaseColumn

    org.eclipse.emf.ecore.EClass getSybaseASABaseColumn()

  Returns the meta object for class '`Sybase ASA Base Column`'.

  Returns:
    the meta object for class 'Sybase ASA Base Column'.
  See Also:
    `SybaseASABaseColumn`

### getSybaseASABaseColumn_ColumnConstraint

    org.eclipse.emf.ecore.EReference getSybaseASABaseColumn_ColumnConstraint()

  Returns the meta object for the reference list '`Column Constraint`'.

  Returns:
    the meta object for the reference list 'Column Constraint'.
  See Also:
    `SybaseASABaseColumn.getColumnConstraint()`, `getSybaseASABaseColumn()`

### getSybaseASABaseColumn_TypeOfDefault

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_TypeOfDefault()

  Returns the meta object for the attribute '`Type Of Default`'.

  Returns:
    the meta object for the attribute 'Type Of Default'.
  See Also:
    `SybaseASABaseColumn.getTypeOfDefault()`, `getSybaseASABaseColumn()`

### getSybaseASABaseColumn_Unique

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_Unique()

  Returns the meta object for the attribute '`Unique`'.

  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `SybaseASABaseColumn.isUnique()`, `getSybaseASABaseColumn()`

### getSybaseASABaseColumn_IsComputedColumn

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_IsComputedColumn()

  Returns the meta object for the attribute '`Is Computed Column`'.

  Returns:
    the meta object for the attribute 'Is Computed Column'.
  See Also:
    `SybaseASABaseColumn.isIsComputedColumn()`, `getSybaseASABaseColumn()`

### getSybaseASABaseUniqueConstraint

    org.eclipse.emf.ecore.EClass getSybaseASABaseUniqueConstraint()

  Returns the meta object for class '`Sybase ASA Base Unique Constraint`'.

  Returns:
    the meta object for class 'Sybase ASA Base Unique Constraint'.
  See Also:
    `SybaseASABaseUniqueConstraint`

### getSybaseASABaseUniqueConstraint_Clustered

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseUniqueConstraint_Clustered()

  Returns the meta object for the attribute '`Clustered`'.

  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `SybaseASABaseUniqueConstraint.isClustered()`, `getSybaseASABaseUniqueConstraint()`

### getSybaseASABaseUniqueConstraint_SystemGenIndex

    org.eclipse.emf.ecore.EReference getSybaseASABaseUniqueConstraint_SystemGenIndex()

  Returns the meta object for the reference '`System Gen Index`'.

  Returns:
    the meta object for the reference 'System Gen Index'.
  See Also:
    `SybaseASABaseUniqueConstraint.getSystemGenIndex()`, `getSybaseASABaseUniqueConstraint()`

### getSybaseASABasePrimaryKey

    org.eclipse.emf.ecore.EClass getSybaseASABasePrimaryKey()

  Returns the meta object for class '`Sybase ASA Base Primary Key`'.

  Returns:
    the meta object for class 'Sybase ASA Base Primary Key'.
  See Also:
    `SybaseASABasePrimaryKey`

### getSybaseASABaseForeignKey

    org.eclipse.emf.ecore.EClass getSybaseASABaseForeignKey()

  Returns the meta object for class '`Sybase ASA Base Foreign Key`'.

  Returns:
    the meta object for class 'Sybase ASA Base Foreign Key'.
  See Also:
    `SybaseASABaseForeignKey`

### getSybaseASABaseForeignKey_RoleName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseForeignKey_RoleName()

  Returns the meta object for the attribute '`Role Name`'.

  Returns:
    the meta object for the attribute 'Role Name'.
  See Also:
    `SybaseASABaseForeignKey.getRoleName()`, `getSybaseASABaseForeignKey()`

### getSybaseASABaseForeignKey_Clustered

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseForeignKey_Clustered()

  Returns the meta object for the attribute '`Clustered`'.

  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `SybaseASABaseForeignKey.isClustered()`, `getSybaseASABaseForeignKey()`

### getSybaseASABaseIndex

    org.eclipse.emf.ecore.EClass getSybaseASABaseIndex()

  Returns the meta object for class '`Sybase ASA Base Index`'.

  Returns:
    the meta object for class 'Sybase ASA Base Index'.
  See Also:
    `SybaseASABaseIndex`

### getSybaseASABaseIndex_DbSpace

    org.eclipse.emf.ecore.EReference getSybaseASABaseIndex_DbSpace()

  Returns the meta object for the reference '`Db Space`'.

  Returns:
    the meta object for the reference 'Db Space'.
  See Also:
    `SybaseASABaseIndex.getDbSpace()`, `getSybaseASABaseIndex()`

### getSybaseASABaseDBSpace

    org.eclipse.emf.ecore.EClass getSybaseASABaseDBSpace()

  Returns the meta object for class '`Sybase ASA Base DB Space`'.

  Returns:
    the meta object for class 'Sybase ASA Base DB Space'.
  See Also:
    `SybaseASABaseDBSpace`

### getSybaseASABaseDBSpace_FileName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseDBSpace_FileName()

  Returns the meta object for the attribute '`File Name`'.

  Returns:
    the meta object for the attribute 'File Name'.
  See Also:
    `SybaseASABaseDBSpace.getFileName()`, `getSybaseASABaseDBSpace()`

### getSybaseASABaseDBSpace_Database

    org.eclipse.emf.ecore.EReference getSybaseASABaseDBSpace_Database()

  Returns the meta object for the container reference '`Database`'.

  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASABaseDBSpace.getDatabase()`, `getSybaseASABaseDBSpace()`

### getSybaseASABaseViewTable

    org.eclipse.emf.ecore.EClass getSybaseASABaseViewTable()

  Returns the meta object for class '`Sybase ASA Base View Table`'.

  Returns:
    the meta object for class 'Sybase ASA Base View Table'.
  See Also:
    `SybaseASABaseViewTable`

### getSybaseASABaseViewTable_WithCheckOption

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseViewTable_WithCheckOption()

  Returns the meta object for the attribute '`With Check Option`'.

  Returns:
    the meta object for the attribute 'With Check Option'.
  See Also:
    `SybaseASABaseViewTable.isWithCheckOption()`, `getSybaseASABaseViewTable()`

### getSybaseASABaseViewTable_Statement

    org.eclipse.emf.ecore.EReference getSybaseASABaseViewTable_Statement()

  Returns the meta object for the reference '`Statement`'.

  Returns:
    the meta object for the reference 'Statement'.
  See Also:
    `SybaseASABaseViewTable.getStatement()`, `getSybaseASABaseViewTable()`

### getSybaseASABaseFunction

    org.eclipse.emf.ecore.EClass getSybaseASABaseFunction()

  Returns the meta object for class '`Sybase ASA Base Function`'.

  Returns:
    the meta object for class 'Sybase ASA Base Function'.
  See Also:
    `SybaseASABaseFunction`

### getSybaseASABaseFunction_OnExceptionResume

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseFunction_OnExceptionResume()

  Returns the meta object for the attribute '`On Exception Resume`'.

  Returns:
    the meta object for the attribute 'On Exception Resume'.
  See Also:
    `SybaseASABaseFunction.isOnExceptionResume()`, `getSybaseASABaseFunction()`

### getSybaseASABaseProcedure

    org.eclipse.emf.ecore.EClass getSybaseASABaseProcedure()

  Returns the meta object for class '`Sybase ASA Base Procedure`'.

  Returns:
    the meta object for class 'Sybase ASA Base Procedure'.
  See Also:
    `SybaseASABaseProcedure`

### getSybaseASABaseProcedure_OnExceptionResume

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseProcedure_OnExceptionResume()

  Returns the meta object for the attribute '`On Exception Resume`'.

  Returns:
    the meta object for the attribute 'On Exception Resume'.
  See Also:
    `SybaseASABaseProcedure.isOnExceptionResume()`, `getSybaseASABaseProcedure()`

### getSybaseASABaseTempTable

    org.eclipse.emf.ecore.EClass getSybaseASABaseTempTable()

  Returns the meta object for class '`Sybase ASA Base Temp Table`'.

  Returns:
    the meta object for class 'Sybase ASA Base Temp Table'.
  See Also:
    `SybaseASABaseTempTable`

### getSybaseASABaseTempTable_TransactionOption

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseTempTable_TransactionOption()

  Returns the meta object for the attribute '`Transaction Option`'.

  Returns:
    the meta object for the attribute 'Transaction Option'.
  See Also:
    `SybaseASABaseTempTable.getTransactionOption()`, `getSybaseASABaseTempTable()`

### getSybaseASABaseTrigger

    org.eclipse.emf.ecore.EClass getSybaseASABaseTrigger()

  Returns the meta object for class '`Sybase ASA Base Trigger`'.

  Returns:
    the meta object for class 'Sybase ASA Base Trigger'.
  See Also:
    `SybaseASABaseTrigger`

### getSybaseASABaseTrigger_Order

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_Order()

  Returns the meta object for the attribute '`Order`'.

  Returns:
    the meta object for the attribute 'Order'.
  See Also:
    `SybaseASABaseTrigger.getOrder()`, `getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_SybaseASABaseActionTime

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_SybaseASABaseActionTime()

  Returns the meta object for the attribute '`Sybase ASA Base Action Time`'.

  Returns:
    the meta object for the attribute 'Sybase ASA Base Action Time'.
  See Also:
    `SybaseASABaseTrigger.getSybaseASABaseActionTime()`, `getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_RemoteName

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_RemoteName()

  Returns the meta object for the attribute '`Remote Name`'.

  Returns:
    the meta object for the attribute 'Remote Name'.
  See Also:
    `SybaseASABaseTrigger.getRemoteName()`, `getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_UpdateColumnType

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_UpdateColumnType()

  Returns the meta object for the attribute '`Update Column Type`'.

  Returns:
    the meta object for the attribute 'Update Column Type'.
  See Also:
    `SybaseASABaseTrigger.isUpdateColumnType()`, `getSybaseASABaseTrigger()`

### getSybaseASABaseProxyTable

    org.eclipse.emf.ecore.EClass getSybaseASABaseProxyTable()

  Returns the meta object for class '`Sybase ASA Base Proxy Table`'.

  Returns:
    the meta object for class 'Sybase ASA Base Proxy Table'.
  See Also:
    `SybaseASABaseProxyTable`

### getSybaseASABaseProxyTable_RemoteObjectLocation

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseProxyTable_RemoteObjectLocation()

  Returns the meta object for the attribute '`Remote Object Location`'.

  Returns:
    the meta object for the attribute 'Remote Object Location'.
  See Also:
    `SybaseASABaseProxyTable.getRemoteObjectLocation()`, `getSybaseASABaseProxyTable()`

### getSybaseASABaseProxyTable_Existing

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseProxyTable_Existing()

  Returns the meta object for the attribute '`Existing`'.

  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `SybaseASABaseProxyTable.isExisting()`, `getSybaseASABaseProxyTable()`

### getSybaseASABaseColumnCheckConstraint

    org.eclipse.emf.ecore.EClass getSybaseASABaseColumnCheckConstraint()

  Returns the meta object for class '`Sybase ASA Base Column Check Constraint`'.

  Returns:
    the meta object for class 'Sybase ASA Base Column Check Constraint'.
  See Also:
    `SybaseASABaseColumnCheckConstraint`

### getSybaseASABaseColumnCheckConstraint_Column

    org.eclipse.emf.ecore.EReference getSybaseASABaseColumnCheckConstraint_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASABaseColumnCheckConstraint.getColumn()`, `getSybaseASABaseColumnCheckConstraint()`

### getSybaseASAWebService

    org.eclipse.emf.ecore.EClass getSybaseASAWebService()

  Returns the meta object for class '`Sybase ASA Web Service`'.

  Returns:
    the meta object for class 'Sybase ASA Web Service'.
  See Also:
    `SybaseASAWebService`

### getSybaseASAWebService_Service_id

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Service_id()

  Returns the meta object for the attribute '`Service id`'.

  Returns:
    the meta object for the attribute 'Service id'.
  See Also:
    `SybaseASAWebService.getService_id()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Service_type

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Service_type()

  Returns the meta object for the attribute '`Service type`'.

  Returns:
    the meta object for the attribute 'Service type'.
  See Also:
    `SybaseASAWebService.getService_type()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Auth_required

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Auth_required()

  Returns the meta object for the attribute '`Auth required`'.

  Returns:
    the meta object for the attribute 'Auth required'.
  See Also:
    `SybaseASAWebService.getAuth_required()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Secure_required

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Secure_required()

  Returns the meta object for the attribute '`Secure required`'.

  Returns:
    the meta object for the attribute 'Secure required'.
  See Also:
    `SybaseASAWebService.getSecure_required()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Url_path

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Url_path()

  Returns the meta object for the attribute '`Url path`'.

  Returns:
    the meta object for the attribute 'Url path'.
  See Also:
    `SybaseASAWebService.getUrl_path()`, `getSybaseASAWebService()`

### getSybaseASAWebService_User_name

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_User_name()

  Returns the meta object for the attribute '`User name`'.

  Returns:
    the meta object for the attribute 'User name'.
  See Also:
    `SybaseASAWebService.getUser_name()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Parameter

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Parameter()

  Returns the meta object for the attribute '`Parameter`'.

  Returns:
    the meta object for the attribute 'Parameter'.
  See Also:
    `SybaseASAWebService.getParameter()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Statement

    org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Statement()

  Returns the meta object for the attribute '`Statement`'.

  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASAWebService.getStatement()`, `getSybaseASAWebService()`

### getSybaseASAWebService_Database

    org.eclipse.emf.ecore.EReference getSybaseASAWebService_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASAWebService.getDatabase()`, `getSybaseASAWebService()`

### getSchedule

    org.eclipse.emf.ecore.EClass getSchedule()

  Returns the meta object for class '`Schedule`'.

  Returns:
    the meta object for class 'Schedule'.
  See Also:
    `Schedule`

### getSchedule_Recurring

    org.eclipse.emf.ecore.EAttribute getSchedule_Recurring()

  Returns the meta object for the attribute '`Recurring`'.

  Returns:
    the meta object for the attribute 'Recurring'.
  See Also:
    `Schedule.isRecurring()`, `getSchedule()`

### getSchedule_StartTime

    org.eclipse.emf.ecore.EAttribute getSchedule_StartTime()

  Returns the meta object for the attribute '`Start Time`'.

  Returns:
    the meta object for the attribute 'Start Time'.
  See Also:
    `Schedule.getStartTime()`, `getSchedule()`

### getSchedule_StopTime

    org.eclipse.emf.ecore.EAttribute getSchedule_StopTime()

  Returns the meta object for the attribute '`Stop Time`'.

  Returns:
    the meta object for the attribute 'Stop Time'.
  See Also:
    `Schedule.getStopTime()`, `getSchedule()`

### getSchedule_StartDate

    org.eclipse.emf.ecore.EAttribute getSchedule_StartDate()

  Returns the meta object for the attribute '`Start Date`'.

  Returns:
    the meta object for the attribute 'Start Date'.
  See Also:
    `Schedule.getStartDate()`, `getSchedule()`

### getSchedule_DaysOfWeek

    org.eclipse.emf.ecore.EAttribute getSchedule_DaysOfWeek()

  Returns the meta object for the attribute '`Days Of Week`'.

  Returns:
    the meta object for the attribute 'Days Of Week'.
  See Also:
    `Schedule.getDaysOfWeek()`, `getSchedule()`

### getSchedule_DaysOfMonth

    org.eclipse.emf.ecore.EAttribute getSchedule_DaysOfMonth()

  Returns the meta object for the attribute '`Days Of Month`'.

  Returns:
    the meta object for the attribute 'Days Of Month'.
  See Also:
    `Schedule.getDaysOfMonth()`, `getSchedule()`

### getSchedule_IntervalUnit

    org.eclipse.emf.ecore.EAttribute getSchedule_IntervalUnit()

  Returns the meta object for the attribute '`Interval Unit`'.

  Returns:
    the meta object for the attribute 'Interval Unit'.
  See Also:
    `Schedule.getIntervalUnit()`, `getSchedule()`

### getSchedule_IntervalMount

    org.eclipse.emf.ecore.EAttribute getSchedule_IntervalMount()

  Returns the meta object for the attribute '`Interval Mount`'.

  Returns:
    the meta object for the attribute 'Interval Mount'.
  See Also:
    `Schedule.getIntervalMount()`, `getSchedule()`

### getSchedule_Event

    org.eclipse.emf.ecore.EReference getSchedule_Event()

  Returns the meta object for the container reference '`Event`'.

  Returns:
    the meta object for the container reference 'Event'.
  See Also:
    `Schedule.getEvent()`, `getSchedule()`

### getSybaseASABaseRemoteProcedure

    org.eclipse.emf.ecore.EClass getSybaseASABaseRemoteProcedure()

  Returns the meta object for class '`Sybase ASA Base Remote Procedure`'.

  Returns:
    the meta object for class 'Sybase ASA Base Remote Procedure'.
  See Also:
    `SybaseASABaseRemoteProcedure`

### getSybaseASABaseRemoteProcedure_Location

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseRemoteProcedure_Location()

  Returns the meta object for the attribute '`Location`'.

  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `SybaseASABaseRemoteProcedure.getLocation()`, `getSybaseASABaseRemoteProcedure()`

### getSybaseASABaseParameter

    org.eclipse.emf.ecore.EClass getSybaseASABaseParameter()

  Returns the meta object for class '`Sybase ASA Base Parameter`'.

  Returns:
    the meta object for class 'Sybase ASA Base Parameter'.
  See Also:
    `SybaseASABaseParameter`

### getSybaseASABaseParameter_ParmType

    org.eclipse.emf.ecore.EAttribute getSybaseASABaseParameter_ParmType()

  Returns the meta object for the attribute '`Parm Type`'.

  Returns:
    the meta object for the attribute 'Parm Type'.
  See Also:
    `SybaseASABaseParameter.getParmType()`, `getSybaseASABaseParameter()`

### getSybaseASABaseGroup

    org.eclipse.emf.ecore.EClass getSybaseASABaseGroup()

  Returns the meta object for class '`Sybase ASA Base Group`'.

  Returns:
    the meta object for class 'Sybase ASA Base Group'.
  See Also:
    `SybaseASABaseGroup`

### getSybaseASABaseSchema

    org.eclipse.emf.ecore.EClass getSybaseASABaseSchema()

  Returns the meta object for class '`Sybase ASA Base Schema`'.

  Returns:
    the meta object for class 'Sybase ASA Base Schema'.
  See Also:
    `SybaseASABaseSchema`

### getSybaseASABaseUser

    org.eclipse.emf.ecore.EClass getSybaseASABaseUser()

  Returns the meta object for class '`Sybase ASA Base User`'.

  Returns:
    the meta object for class 'Sybase ASA Base User'.
  See Also:
    `SybaseASABaseUser`

### getSybaseASADefaultWrapper

    org.eclipse.emf.ecore.EClass getSybaseASADefaultWrapper()

  Returns the meta object for class '`Sybase ASA Default Wrapper`'.

  Returns:
    the meta object for class 'Sybase ASA Default Wrapper'.
  See Also:
    `SybaseASADefaultWrapper`

### getSybaseASADefaultWrapper_Value

    org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SybaseASADefaultWrapper.getValue()`, `getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_IsLiteral

    org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_IsLiteral()

  Returns the meta object for the attribute '`Is Literal`'.

  Returns:
    the meta object for the attribute 'Is Literal'.
  See Also:
    `SybaseASADefaultWrapper.isIsLiteral()`, `getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_PartitionSize

    org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_PartitionSize()

  Returns the meta object for the attribute '`Partition Size`'.

  Returns:
    the meta object for the attribute 'Partition Size'.
  See Also:
    `SybaseASADefaultWrapper.getPartitionSize()`, `getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_Type

    org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SybaseASADefaultWrapper.getType()`, `getSybaseASADefaultWrapper()`

### getEventCondition

    org.eclipse.emf.ecore.EClass getEventCondition()

  Returns the meta object for class '`Event Condition`'.

  Returns:
    the meta object for class 'Event Condition'.
  See Also:
    `EventCondition`

### getEventCondition_Operator

    org.eclipse.emf.ecore.EAttribute getEventCondition_Operator()

  Returns the meta object for the attribute '`Operator`'.

  Returns:
    the meta object for the attribute 'Operator'.
  See Also:
    `EventCondition.getOperator()`, `getEventCondition()`

### getEventCondition_Value

    org.eclipse.emf.ecore.EAttribute getEventCondition_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `EventCondition.getValue()`, `getEventCondition()`

### getEventCondition_Event

    org.eclipse.emf.ecore.EReference getEventCondition_Event()

  Returns the meta object for the container reference '`Event`'.

  Returns:
    the meta object for the container reference 'Event'.
  See Also:
    `EventCondition.getEvent()`, `getEventCondition()`

### getTransactionOption

    org.eclipse.emf.ecore.EEnum getTransactionOption()

  Returns the meta object for enum '`Transaction Option`'.

  Returns:
    the meta object for enum 'Transaction Option'.
  See Also:
    `TransactionOption`

### getTypeOfDefault

    org.eclipse.emf.ecore.EEnum getTypeOfDefault()

  Returns the meta object for enum '`Type Of Default`'.

  Returns:
    the meta object for enum 'Type Of Default'.
  See Also:
    `TypeOfDefault`

### getSybaseASABaseActionTime

    org.eclipse.emf.ecore.EEnum getSybaseASABaseActionTime()

  Returns the meta object for enum '`Sybase ASA Base Action Time`'.

  Returns:
    the meta object for enum 'Sybase ASA Base Action Time'.
  See Also:
    `SybaseASABaseActionTime`

### getEventType

    org.eclipse.emf.ecore.EEnum getEventType()

  Returns the meta object for enum '`Event Type`'.

  Returns:
    the meta object for enum 'Event Type'.
  See Also:
    `EventType`

### getJavaSupportType

    org.eclipse.emf.ecore.EEnum getJavaSupportType()

  Returns the meta object for enum '`Java Support Type`'.

  Returns:
    the meta object for enum 'Java Support Type'.
  See Also:
    `JavaSupportType`

### getEventLocationType

    org.eclipse.emf.ecore.EEnum getEventLocationType()

  Returns the meta object for enum '`Event Location Type`'.

  Returns:
    the meta object for enum 'Event Location Type'.
  See Also:
    `EventLocationType`

### getIntervalUnitType

    org.eclipse.emf.ecore.EEnum getIntervalUnitType()

  Returns the meta object for enum '`Interval Unit Type`'.

  Returns:
    the meta object for enum 'Interval Unit Type'.
  See Also:
    `IntervalUnitType`

### getSystemDefinedDefaultType

    org.eclipse.emf.ecore.EEnum getSystemDefinedDefaultType()

  Returns the meta object for enum '`System Defined Default Type`'.

  Returns:
    the meta object for enum 'System Defined Default Type'.
  See Also:
    `SystemDefinedDefaultType`

### getAllowNullType

    org.eclipse.emf.ecore.EEnum getAllowNullType()

  Returns the meta object for enum '`Allow Null Type`'.

  Returns:
    the meta object for enum 'Allow Null Type'.
  See Also:
    `AllowNullType`

### getParameterType

    org.eclipse.emf.ecore.EEnum getParameterType()

  Returns the meta object for enum '`Parameter Type`'.

  Returns:
    the meta object for enum 'Parameter Type'.
  See Also:
    `ParameterType`

### getSybaseasabasesqlmodelFactory

    SybaseasabasesqlmodelFactory getSybaseasabasesqlmodelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.